--#  Description: Part and Material Names Recognized by MakeMDL	
--#  Created:     10/23/2003 version (1.0)
--#  Version History: (1.0.1) 10/27/2003
--#	 Edit script to add: Tooltips flyouts	
--#  Version History: (1.0.2) 05/28/2004
--#	 Edit script to add: Support for FS9 MakeMDL  
--#  Code by:     Bruce Edge (AKA FSEdge) fsedge@fsalpha.com
--#  http://www.fsalpha.com 
-----------------------------------------------------------------------------------

TB=newRolloutFloater "Part and Material Names Recognized by MakeMDL" 500 300
--------------------------------------------------------------------------------
--This Rollout is to be used for "Part Names (Aircraft Only)"
(
	rollout The_Buttons "Part Names (Aircraft Only)"
	(	 
label lab1 "Any part with a part name from the following table will be visible only if the associated"align:#left
label lab2 " aircraft part is also visible." align:#left
	--1..
	button pilot "pilot" width:110 
Tooltip:"PILOT figure" across: 3		
	--2..
		button l_wing "l_wing" width:110 
Tooltip:"LEFTWING"
	--3..
		button r_wing "r_wing" width:110 
Tooltip:"RIGHTWING"
	--4..
		button l_wingfold "l_wingfold" width:110 
Tooltip:"LEFTWING" across: 3 
	--5..
		button r_wingfold "r_wingfold" width:110 
Tooltip:"RIGHTWING"
	--6..
		button l_wing_tip "l_wing_tip" width:110 
Tooltip:"LEFTWINGTIP"
	--7..
		button r_wing_tip "r_wing_tip" width:110 
Tooltip:"RIGHTWINGTIP" across: 3
	--8..
		button l_wingtip "l_wingtip" width:110 
Tooltip:"LEFTWINGTIP" 
	--9..
		button r_wingtip "r_wingtip" width:110 
Tooltip:"RIGHTWINGTIP"
	--10..
		button lwingtip "lwingtip" width:110 
Tooltip:"LEFTWINGTIP" across: 3
	--11..
		button rwingtip "rwingtip" width:110 
Tooltip:"RIGHTWINGTIP" 
	--12..
		button tail "tail" width:110 
Tooltip:"TAIL"
	--13..
		button l_tail "l_tail" width:110 
Tooltip:"TAIL" across: 3 
	--14..
		button r_tail "r_tail" width:110 
Tooltip:"TAIL"
	--15..
		button tail_l "tail_l" width:110 
Tooltip:"TAIL"
	--16..
		button tail_r "tail_r" width:110 
Tooltip:"TAIL" across: 3 
	--17..
		button nose "nose" width:110 
Tooltip:"NOSE"
	--18..
		button nose1 "nose1" width:110 
Tooltip:"NOSE"
	--19..
		button engine0 "engine0" width:110 
Tooltip:"ENGINE0" across: 3 
	--20..
		button engine1 "engine1" width:110 
Tooltip:"ENGINE1"
	--21..	
		button engine2 "engine2" width:110 
Tooltip:"ENGINE2"
	--22..
		button engine3 "engine3" width:110 
Tooltip:"ENGINE3" across: 3 
	--23..
		button l_engine "l_engine" width:110 
Tooltip:"ENGINE1"
	--24..
		button r_engine "r_engine" width:110 
Tooltip:"ENGINE0"
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------		
	--1..
			on pilot pressed do
				(	
					$.name = "pilot"
					)
	--2..
			on l_wing pressed do
				(	
					$.name = "l_wing"
					)
	--3..
			on r_wing pressed do
				(	
					$.name = "r_wing"
					)
	--4..
			on l_wingfold pressed do
				(	
					$.name = "l_wingfold"
					)
	--5..
			on r_wingfold pressed do
				(	
					$.name = "r_wingfold"
					)
	--6..
			on l_wing_tip pressed do
				(	
					$.name = "l_wing_tip"
					)
	--7..
			on r_wing_tip pressed do
				(	
					$.name = "r_wing_tip"
					)
	--8..
			on l_wingtip pressed do
				(	
					$.name = "l_wingtip"
					)
	--9..
			on r_wingtip pressed do
				(	
					$.name = "r_wingtip"
					)
	--10..
			on lwingtip pressed do
				(	
					$.name = "lwingtip"
					)
	--11..
			on rwingtip pressed do
				(	
					$.name = "rwingtip"
					)
	--12..
			on tail pressed do
				(	
					$.name = "tail"
					)
	--13..
			on l_tail pressed do
				(	
					$.name = "l_tail"
					)
	--14..
			on r_tail pressed do
				(	
					$.name = "r_tail"
					)
	--15..
			on tail_l pressed do
				(	
					$.name = "tail_l"
					)
	--16..
			on tail_r pressed do
				(	
					$.name = "tail_r"
					)
	--17..
			on nose pressed do
				(	
					$.name = "nose"
					)
	--18..
			on nose1 pressed do
				(	
					$.name = "nose1"
					)
	--19..
			on engine0 pressed do
				(	
					$.name = "engine0"
					)
	--20..
			on engine1 pressed do
				(	
					$.name = "engine1"
					)
	--21..
			on engine2 pressed do
				(	
					$.name = "engine2"
					)
	--22..
			on engine3 pressed do
				(	
					$.name = "engine3"
					)
	--23..
			on l_engine pressed do
				(	
					$.name = "l_engine"
					)
	--24..
			on r_engine pressed do
				(	
					$.name = "r_engine"
					)	
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
--------------------------------------------------------------------------------
--This Rollout is to be used for "Endcap Names (Aircraft Only)"
(
	rollout The_Buttons "Endcap Names (Aircraft Only)"
	(
label lab1"Any part with a part name from the following table is considered an ( endcap )"align:#left
label lab2 "and is visible only when the associated aircraft part is not visible"align:#left
label lab3 "( for example, the aircraft part has fallen off of the aircraft )." align:#left
	--1..
		button endcap0_l_wing_tip "endcap0_l_wing_tip" width:110 
Tooltip:"LEFTWINGTIP" across: 3		
	--2..
		button endcap1_l_wing_tip "endcap1_l_wing_tip" width:110
Tooltip:"LEFTWINGTIP" 
	--3..
		button endcap2_l_wing_tip "endcap2_l_wing_tip" width:110
Tooltip:"LEFTWINGTIP" 
	--4..
		button endcap0_r_wing_tip "endcap0_r_wing_tip" width:110 
Tooltip:"RIGHTWINGTIP" across: 3	
	--5..
		button endcap1_r_wing_tip "endcap1_r_wing_tip" width:110
Tooltip:"RIGHTWINGTIP" 
	--6..
		button endcap2_r_wing_tip "endcap2_r_wing_tip" width:110
Tooltip:"RIGHTWINGTIP" 
	--7..
		button endcap0_lwingtip "endcap0_lwingtip" width:110 
Tooltip:"LEFTWINGTIP" across: 3	
	--8..
		button endcap1_lwingtip "endcap1_lwingtip" width:110 
Tooltip:"LEFTWINGTIP" 
	--9..
		button endcap2_lwingtip "endcap2_lwingtip" width:110 
Tooltip:"LEFTWINGTIP" 
	--10..
		button endcap0_rwingtip "endcap0_rwingtip" width:110 
Tooltip:"RIGHTWINGTIP" across: 3		
	--11..
		button endcap1_rwingtip "endcap1_rwingtip" width:110
Tooltip:"RIGHTWINGTIP" 
	--12..
		button endcap2_rwingtip "endcap2_rwingtip" width:110
Tooltip:"RIGHTWINGTIP" 
	--13..
		button endcap0_l_wingtip "endcap0_l_wingtip" width:110 
Tooltip:"LEFTWINGTIP" across: 3	
	--14..
		button endcap1_l_wingtip "endcap1_l_wingtip" width:110
Tooltip:"LEFTWINGTIP" 
	--15..
		button endcap2_l_wingtip "endcap2_l_wingtip" width:110 
Tooltip:"LEFTWINGTIP" 
	--16..
		button endcap0_r_wingtip "endcap0_r_wingtip" width:110 
Tooltip:"RIGHTWINGTIP" across: 3	
	--17..
		button endcap1_r_wingtip "endcap1_r_wingtip" width:110
Tooltip:"RIGHTWINGTIP" 
	--18..
		button endcap2_r_wingtip "endcap2_r_wingtip" width:110 
Tooltip:"RIGHTWINGTIP" 
	--19..
		button endcap_tail "endcap_tail" width:110 
Tooltip:"TAIL" across: 3	
	--20..
		button endcap0_tail "endcap0_tail" width:110
Tooltip:"TAIL" 
	--21..
		button endcap1_tail "endcap1_tail" width:110
Tooltip:"TAIL" 
	--22..
		button endcap2_tail "endcap2_tail" width:110 
Tooltip:"TAIL" across: 3	
	--23..
		button endcap0_nose "endcap0_nose" width:110 
Tooltip:"NOSE" 
	--24..
		button endcap1_nose "endcap1_nose" width:110 
Tooltip:"NOSE" 
	--25..
		button endcap2_nose "endcap2_nose" width:110 
Tooltip:"NOSE" across: 3 	
	--26..
		button endcap0_engine0 "endcap0_engine0" width:110
Tooltip:"ENGINE0" 
	--27..
		button endcap1_engine0 "endcap1_engine0" width:110
Tooltip:"ENGINE0" 
	--28..
		button endcap2_engine0 "endcap2_engine0" width:110 
Tooltip:"ENGINE0" across: 3 
	--29..
		button endcap0_engine1 "endcap0_engine1" width:110 
Tooltip:"ENGINE1" 
	--30..
		button endcap1_engine1 "endcap1_engine1" width:110
Tooltip:"ENGINE1"  
	--31..
		button endcap2_engine1 "endcap2_engine1" width:110 
Tooltip:"ENGINE1" across: 3 
	--32..
		button endcap0_engine2 "endcap0_engine2" width:110 
Tooltip:"ENGINE2" 
	--33..
		button endcap1_engine2 "endcap1_engine2" width:110 
Tooltip:"ENGINE2" 
	--34..
		button endcap2_engine2 "endcap2_engine2" width:110 
Tooltip:"ENGINE2" across: 3 
	--35..
		button endcap0_engine3 "endcap0_engine3" width:110
 Tooltip:"ENGINE3" 	
 	--36..
		button endcap1_engine3 "endcap1_engine3" width:110
Tooltip:"ENGINE3" 
	--37..
		button endcap2_engine3 "endcap2_engine3" width:110 
Tooltip:"ENGINE3" across: 3 
	--38..
		button endcap_l_wing "endcap_l_wing" width:110 
Tooltip:"LEFTWING" 
	--39..
		button endcap0_l_wing "endcap0_l_wing" width:110 
Tooltip:"LEFTWING" 
	--40..
		button endcap1_l_wing "endcap1_l_wing" width:110 
Tooltip:"LEFTWING" across: 3 
	--41..
		button endcap2_l_wing "endcap2_l_wing" width:110
Tooltip:"LEFTWING" 
	--42..
		button endcap_r_wing "endcap_r_wing" width:110 
Tooltip:"RIGHTWING" 
	--43..
		button endcap0_r_wing "endcap0_r_wing" width:110 
Tooltip:"RIGHTWING" across: 3 
	--44..
		button endcap1_r_wing "endcap1_r_wing" width:110
Tooltip:"RIGHTWING" 
	--45..
		button endcap2_r_wing "endcap2_r_wing" width:110
Tooltip:"RIGHTWING" 
	--46..
		button endcap_lwing "endcap_lwing" width:110 
Tooltip:"LEFTWING" across: 3 
	--47..
		button endcap0_lwing "endcap0_lwing" width:110
Tooltip:"LEFTWING" 
	--48..
		button endcap1_lwing "endcap1_lwing" width:110 
Tooltip:"LEFTWING" 
	--49..
		button endcap2_lwing "endcap2_lwing" width:110 
Tooltip:"LEFTWING" across: 3 
	--50..
		button endcap_rwing "endcap_rwing" width:110
Tooltip:"RIGHTWING" 
	--51..
		button endcap0_rwing "endcap0_rwing" width:110 
Tooltip:"RIGHTWING" 
	--52..
		button endcap1_rwing "endcap1_rwing" width:110 
Tooltip:"RIGHTWING" across: 3
	--53..
		button endcap2_rwing "endcap2_rwing" width:110
Tooltip:"RIGHTWING" 
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
	--1..
			on endcap0_l_wing_tip pressed do
				(	
					$.name = "endcap0_l_wing_tip"
					)	
	--2..
			on endcap1_l_wing_tip pressed do
				(	
					$.name = "endcap1_l_wing_tip"
					)
	--3..
			on endcap2_l_wing_tip pressed do
				(	
					$.name = "endcap2_l_wing_tip"
					)
	--4..
			on endcap0_r_wing_tip pressed do
				(	
					$.name = "endcap0_r_wing_tip"
					)
	--5..
			on endcap1_r_wing_tip pressed do
				(	
					$.name = "endcap1_r_wing_tip"
					)
	--6..
			on endcap2_r_wing_tip pressed do
				(	
					$.name = "endcap2_r_wing_tip"
					)
	--7..
			on endcap0_lwingtip pressed do
				(	
					$.name = "endcap0_lwingtip"
					)
	--8..
			on endcap1_lwingtip pressed do
				(	
					$.name = "endcap1_lwingtip"
					)
	--9..
			on endcap2_lwingtip pressed do
				(	
					$.name = "endcap2_lwingtip"
					)
	--10..
			on endcap0_rwingtip pressed do
				(	
					$.name = "endcap0_rwingtip"
					)
	--11..
			on endcap1_rwingtip pressed do
				(	
					$.name = "endcap1_rwingtip"
					)
	--12..
			on endcap2_rwingtip pressed do
				(	
					$.name = "endcap2_rwingtip"
					)
	--13..
			on endcap0_l_wingtip pressed do
				(	
					$.name = "endcap0_l_wingtip"
					)
	--14..
			on endcap1_l_wingtip pressed do
				(	
					$.name = "endcap1_l_wingtip"
					)
	--15..
			on endcap2_l_wingtip pressed do
				(	
					$.name = "endcap2_l_wingtip"
					)
	--16..
			on endcap0_r_wingtip pressed do
				(	
					$.name = "endcap0_r_wingtip"
					)
	--17..
			on endcap1_r_wingtip pressed do
				(	
					$.name = "endcap1_r_wingtip"
					)
	--18..
			on endcap2_r_wingtip pressed do
				(	
					$.name = "endcap2_r_wingtip"
					)
	--19..
			on endcap_tail pressed do
				(	
					$.name = "endcap_tail"
					)
	--20..
			on endcap0_tail pressed do
				(	
					$.name = "endcap0_tail"
					)
	--21..
			on endcap1_tail pressed do
				(	
					$.name = "endcap1_tail"
					)
	--22..
			on endcap2_tail pressed do
				(	
					$.name = "endcap2_tail"
					)
	--23..
			on endcap0_nose pressed do
				(	
					$.name = "endcap0_nose"
					)
	--24..
			on endcap1_nose pressed do
				(	
					$.name = "endcap1_nose"
					)
	--25..
			on endcap2_nose pressed do
				(	
					$.name = "endcap2_nose"
					)
	--26..
			on endcap0_engine0 pressed do
				(	
					$.name = "endcap0_engine0"
					)
	--27..
			on endcap1_engine0 pressed do
				(	
					$.name = "endcap1_engine0"
					)
	--28..
			on endcap2_engine0 pressed do
				(	
					$.name = "endcap2_engine0"
					)
	--29..
			on endcap0_engine1 pressed do
				(	
					$.name = "endcap0_engine1"
					)
	--30..
			on endcap1_engine1 pressed do
				(	
					$.name = "endcap1_engine1"
					)
	--31..
			on endcap2_engine1 pressed do
				(	
					$.name = "endcap2_engine1"
					)
	--32..
			on endcap0_engine2 pressed do
				(	
					$.name = "endcap0_engine2"
					)
	--33..
			on endcap1_engine2 pressed do
				(	
					$.name = "endcap1_engine2"
					)
	--34..
			on endcap2_engine2 pressed do
				(	
					$.name = "endcap2_engine2"
					)
	--35..
			on endcap0_engine3 pressed do
				(	
					$.name = "endcap0_engine3"
					)
	--36..
			on endcap1_engine3 pressed do
				(	
					$.name = "endcap1_engine3"
					)
	--37..
			on endcap2_engine3 pressed do
				(	
					$.name = "endcap2_engine3"
					)
	--38..
			on endcap_l_wing pressed do
				(	
					$.name = "endcap_l_wing"
					)
	--39..
			on endcap0_l_wing pressed do
				(	
					$.name = "endcap0_l_wing"
					)
	--40..
			on endcap1_l_wing pressed do
				(	
					$.name = "endcap1_l_wing"
					)
	--41..
			on endcap2_l_wing pressed do
				(	
					$.name = "endcap2_l_wing"
					)
	--42..
			on endcap_r_wing pressed do
				(	
					$.name = "endcap_r_wing"
					)
	--43..
			on endcap0_r_wing pressed do
				(	
					$.name = "endcap0_r_wing"
					)
	--44..
			on endcap1_r_wing pressed do
				(	
					$.name = "endcap1_r_wing"
					)
	--45..
			on endcap2_r_wing pressed do
				(	
					$.name = "endcap2_r_wing"
					)
	--46..
			on endcap_lwing pressed do
				(	
					$.name = "endcap_lwing"
					)
	--47..
			on endcap0_lwing pressed do
				(	
					$.name = "endcap0_lwing"
					)
	--48..
			on endcap1_lwing pressed do
				(	
					$.name = "endcap1_lwing"
					)
	--49..
			on endcap2_lwing pressed do
				(	
					$.name = "endcap2_lwing"
					)
	--50..
			on endcap_rwing pressed do
				(	
					$.name = "endcap_rwing"
					)
	--51..
			on endcap0_rwing pressed do
				(	
					$.name = "endcap0_rwing"
					)
	--52..
			on endcap1_rwing pressed do
				(	
					$.name = "endcap1_rwing"
					)
	--53..
			on endcap2_rwing pressed do
				(	
					$.name = "endcap2_rwing"
					)
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
--------------------------------------------------------------------------------
--This Rollout is to be used for "Damaged Texture Part Names (Aircraft Only)"
(
	rollout The_Buttons "Damaged Texture Part Names (Aircraft Only)"
	(
label lab1"Any part with a part name from the following table switches to being textured with the "align:#left
label lab2"damage texture if the associated aircraft part is not visible "align:#left
label lab3"( for example, not attached to the aircraft )."align:#left
label lab4"**Note** DamageMaps ( damage textures ) are valid only on aircraft models. The base texture"align:#left
label lab5"file must end with ( _T ) and the damage texture file must end with  ( _D ) "align:#left
label lab6" ( for example, MyTexture_D.bmp and MyTexture_T.bmp )."align:#left
	--1..
		button fuselage "fuselage" width:110 
Tooltip:"Aircraft part  NOSE"across: 3	
	--2..
		button fuselage_aft "fuselage_aft" width:110
Tooltip:"Aircraft part TAIL"
	--3..
		button l_ailer "l_ailer" width:110
Tooltip:"Aircraft part LEFTWINGTIP"
	--4..
		button l_aileron "l_aileron" width:110 
Tooltip:"Aircraft part LEFTWINGTIP" across: 3
	--5..
		button l_wing "l_wing" width:110
Tooltip:"Aircraft part LEFTWINGTIP"		
	--6..
		button l_wingfold "l_wingfold" width:110
Tooltip:"Aircraft part LEFTWINGTIP"		
	--7..
		button r_ailer "r_ailer" width:110 
Tooltip:"Aircraft part RIGHTWINGTIP" across: 3
	--8..
		button r_aileron "r_aileron" width:110
Tooltip:"Aircraft part RIGHTWINGTIP"		
	--9..
		button r_wing "r_wing" width:110
 Tooltip:"Aircraft part RIGHTWINGTIP"
	--10..
		button r_wingfold "r_wingfold" width:110 
Tooltip:"Aircraft part RIGHTWINGTIP"across: 3
	--11..
		button cowl0 "cowl0" width:110
Tooltip:"Aircraft part ENGINE0"
	--12..
		button cowl1 "cowl1" width:110
Tooltip:"Aircraft part ENGINE1"
	--13..
		button cowl2 "cowl2" width:110 
Tooltip:"Aircraft part ENGINE2" across: 3
	--14..
		button cowl3 "cowl3" width:110
Tooltip:"Aircraft part ENGINE3"
	--15..
		button R_cowling_B1 "R_cowling_B1" width:110
Tooltip:"Aircraft part ENGINE0"
	--16..
		button R_cowling_A1 "R_cowling_A1" width:110 
Tooltip:"Aircraft part ENGINE1" across: 3
	--17..
		button R_cowling_A2 "R_cowling_A2" width:110
Tooltip:"Aircraft part ENGINE2"
	--18..
		button R_cowling_B2 "R_cowling_B2" width:110
Tooltip:"Aircraft part ENGINE3"
	--19..
		button horizontal "horizontal" width:110 
Tooltip:"Aircraft part LEFTHORIZONTAL" across: 3
	--20..
		button l_horizontal "l_horizontal" width:110
Tooltip:"Aircraft part LEFTHORIZONTAL"
	--21..
		button r_horizontal "r_horizontal" width:110
Tooltip:"Aircraft part RIGHTHORIZONTAL"
	--22..
		button elevator "elevator" width:110 
Tooltip:"Aircraft part LEFTHORIZONTAL" across: 3
	--23..
		button l_elevator "l_elevator" width:110
Tooltip:"Aircraft part LEFTHORIZONTAL"
	--24..
		button r_elevator "r_elevator" width:110
Tooltip:"Aircraft part RIGHTHORIZONTAL"
	--25..
		button vertical "vertical" width:110 
Tooltip:"Aircraft part VERTICAL" across: 3
	--26..
		button l_vertical "l_vertical" width:110
Tooltip:"Aircraft part VERTICAL"
	--27..
		button r_vertical "r_vertical" width:110
Tooltip:"Aircraft part RIGHTVERTICAL"
	--28..
		button rudder "rudder" width:110 
Tooltip:"Aircraft part VERTICAL" across: 3
	--29..
		button l_rudder "l_rudder" width:110
Tooltip:"Aircraft part VERTICAL"
	--30..
		button r_rudder "r_rudder" width:110
 Tooltip:"Aircraft part RIGHTVERTICAL"
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
	--1..
			on fuselage pressed do
				(	
					$.name = "fuselage"
					)
	--2..
			on fuselage_aft pressed do
				(	
					$.name = "fuselage_aft"
					)
	--3..
			on l_ailer pressed do
				(	
					$.name = "l_ailer"
					)
	--4..
			on l_aileron pressed do
				(	
					$.name = "l_aileron"
					)
	--5..
			on l_wing pressed do
				(	
					$.name = "l_wing"
					)
	--6..
			on l_wingfold pressed do
				(	
					$.name = "l_wingfold"
					)
	--7..
			on r_ailer pressed do
				(	
					$.name = "r_ailer"
					)
	--8..
			on r_aileron pressed do
				(	
					$.name = "r_aileron"
					)
	--9..
			on r_wing pressed do
				(	
					$.name = "r_wing"
					)
	--10..
			on r_wingfold pressed do
				(	
					$.name = "r_wingfold"
					)
	--11..
			on cowl0 pressed do
				(	
					$.name = "cowl0"
					)
	--12..
			on cowl1 pressed do
				(	
					$.name = "cowl1"
					)
	--13..
			on cowl2 pressed do
				(	
					$.name = "cowl2"
					)
	--14..
			on cowl3 pressed do
				(	
					$.name = "cowl3"
					)
	--15..
			on R_cowling_B1 pressed do
				(	
					$.name = "R_cowling_B1"
					)
	--16..
			on R_cowling_A1 pressed do
				(	
					$.name = "R_cowling_A1"
					)
	--17..
			on R_cowling_A2 pressed do
				(	
					$.name = "R_cowling_A2"
					)
	--18..
			on R_cowling_B2 pressed do
				(	
					$.name = "R_cowling_B2"
					)
	--19..
			on horizontal pressed do
				(	
					$.name = "horizontal"
					)
	--20..
			on l_horizontal pressed do
				(	
					$.name = "l_horizontal"
					)
	--21..
			on r_horizontal pressed do
				(	
					$.name = "r_horizontal"
					)
	--22..
			on elevator pressed do
				(	
					$.name = "elevator"
					)
	--23..
			on l_elevator pressed do
				(	
					$.name = "l_elevator"
					)	
	--24..
			on r_elevator pressed do
				(	
					$.name = "r_elevator"
					)	
	--25..
			on vertical pressed do
				(	
					$.name = "vertical"
					)	
	--26..
			on l_vertical pressed do
				(	
					$.name = "l_vertical"
					)
	--27..
			on r_vertical pressed do
				(	
					$.name = "r_vertical"
					)	
	--28..
			on rudder pressed do
				(	
					$.name = "rudder"
					)	
	--29..
			on l_rudder pressed do
				(	
					$.name = "l_rudder"
					)	
	--30..
			on r_rudder pressed do
				(	
					$.name = "r_rudder"
					)
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
--------------------------------------------------------------------------------
--This Rollout is to be used for "Stock Animation Names (Aircraft and Scenery)"
(
	rollout The_Buttons "Stock Animation Names (Aircraft and Scenery)"
	(
	label lab1 "Any part with a part name from the following table automatically uses the corresponding" align:#left
	label lab2"stock animation; you do not have to author a keyframe animation in the input file."align:#left
	--1..
		button Beacon2 "Beacon2" width:110 
Tooltip:"Heading rotation is 17-second cycle at 3 Hz." across: 3
	--2..
		button Beacon3 "Beacon3" width:110 
Tooltip:"Heading rotation is 12-second cycle at 3 Hz." 
	--3..
		button Beacon4 "Beacon4" width:110 
Tooltip:"Heading rotation 9.4-second cycle at 3 Hz."
	--4..
		button Beacon5 "Beacon5" width:110 
Tooltip:"Heading rotation 7.7-second cycle at 3 Hz." across: 3		
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
	--1..
			on Beacon2 pressed do
				(	
					$.name = "Beacon2"
					)
	--2..
			on Beacon3 pressed do
				(	
					$.name = "Beacon3"
					)
	--3..
			on Beacon4 pressed do
				(	
					$.name = "Beacon4"
					)
	--4..
			on Beacon5 pressed do
				(	
					$.name = "Beacon5"
					)
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
--------------------------------------------------------------------------------
--This Rollout is to be used for "Stock Animation Names (Aircraft Only)"
(
	rollout The_Buttons "Stock Animation Names (Aircraft Only)"
	(
	label lab1"Any part with a part name from the following table automatically uses the "align:#left
	label lab2"corresponding stock animation; you do not have to author a keyframe"align:#left
	label lab3"animation in the input file."align:#left

	--1..
		button l_aileron "l_aileron" width:110 
Tooltip:"Pitch rotation is based on the left aileron position." across: 3
	--2..
		button l_ailer "l_ailer" width:110
Tooltip:"Pitch rotation is based on the left aileron position." 		
	--3..
		button r_aileron "r_aileron" width:110
Tooltip:"Pitch rotation is based on the right aileron position." 		
	--4..
		button r_ailer "r_ailer" width:110 
Tooltip:"Pitch rotation is based on the right aileron position." across: 3 
	--5..
		button l_elevator "l_elevator" width:110
Tooltip:"Pitch rotation is based on the left elevator position" 		
	--6..
		button r_elevator "r_elevator" width:110
Tooltip:"Pitch rotation is based on the right elevator position"  
	--7..
		button l_flap "l_flap" width:110 
Tooltip:"Pitch rotation is based on the left flap position." across: 3
	--8..
		button r_flap "r_flap" width:110
Tooltip:"Pitch rotation is based on the right flap position." 		
	--9..
		button rudder "rudder " width:110
 Tooltip:"Heading rotation is based on the rudder position." 
	--10..
		button trimtab "trimtab" width:110 
Tooltip:"Pitch rotation is based on the elevator trim tab position." across: 3
	--11..
		button trimtab_elevator "trimtab_elevator" width:110
Tooltip:"Pitch rotation is based on the elevator trim tab position."
	--12..
		button trimtab_l_aileron "trimtab_l_aileron" width:110
Tooltip:"Pitch rotation is based on the left aileron trim tab position."
	--13..
		button trimtab_r_aileron "trimtab_r_aileron" width:110 
Tooltip:"Pitch rotation is based on the right aileron trim tab position." across: 3
	--14..
		button trimtab_rudder "trimtab_rudder" width:110
Tooltip:"Pitch rotation is based on the right aileron trim tab position."
	--15..
		button rudder_water_rotate "rudder_water_rotate" width:110
Tooltip:"Heading rotation is based on the rudder position."
	--16..
		button elevon0L "elevon0L" width:110 
Tooltip:"Pitch rotation is based on the Concorde's left-most elevon deflection angle." across: 3
	--17..
		button elevon1L "elevon1L" width:110 
Tooltip:"Pitch rotation is based on the Concorde's left-middle elevon deflection angle." 
	--18..
		button elevon2L "elevon2L" width:110
Tooltip:"Pitch rotation is based on the Concorde's left-inner elevon deflection angle."		
	--19..
		button elevon3L "elevon3L" width:110 
ToolTip:"Pitch rotation is based on the Concorde's right-inner elevon deflection angle." across: 3
	--20..
		button elevon4L "elevon4L" width:110
Tooltip:"Pitch rotation is based on the Concorde's right-middle elevon deflection angle." 
	--21..
		button elevon5L "elevon5R" width:110
Tooltip:"Pitch rotation is based on the Concorde's right-most elevon deflection angle." 
	--22..
		button c_tire_blurred "c_tire_blurred" width:110 
Tooltip:"Visible and rotating when the center tire's rotational speed (in revolutions per minute (rpm)) is fast." across: 3
	--23..
		button l_tire_blurred "l_tire_blurred" width: 110
Tooltip:"Visible and rotating when the left tire's rotational speed (in rpm) is fast." 
	--24..
		button r_tire_blurred "r_tire_blurred" width: 110
Tooltip:"Visible and rotating when the right tire's rotational speed (in rpm) is fast."
	--25..
		button c_tire_still "c_tire_still" width: 110 
Tooltip:"Visible and rotating when the center tire's rotational speed (in rpm) is very slow." across:3
	--26..
		button l_tire_still "l_tire_still" width: 110
Tooltip:"Visible and rotating when the left tire's rotational speed (in rpm) is very slow."
	--27..
		button r_tire_still "r_tire_still" width: 110
Tooltip:"Visible and rotating when the right tire's rotational speed (in rpm) is very slow."
	--28..
		button c_tire "c_tire" width: 110 across:3
Tooltip:"Visible and rotating when the center tire's rotational speed (in rpm) is slow."
	--29..
		button l_tire "l_tire" width: 110
Tooltip:"Visible and rotating when the left tire rpm is slow."
	--30..
		button r_tire"r_tire" width: 110
Tooltip:"Visible and rotating when the right tire's rotational speed (in rpm) is slow."
	--31..
		button prop_still "prop_still" width: 110 
Tooltip:"Visible when prop 0 is very slow." across:3
	--32..
		button prop_slow "prop_slow" width: 110
Tooltip:"Visible when prop 0 is slow."
	--33..
		button prop_blurred "prop_blurred" width: 110
Tooltip:"Visible when prop 0 is fast."
	--34..
		button prop0_still "prop0_still" width: 110 
Tooltip:"Visible when prop 0 is very slow." across:3
	--35..
		button prop0_slow "prop0_slow" width: 110
Tooltip:"Visible when prop 0 is slow."
	--36..
		button prop0_blurred "prop0_blurred" width: 110
Tooltip:"Visible when prop 0 is fast."
	--37..
		button prop1_still "prop1_still" width: 110 
Tooltip:"Visible when prop 1 is very slow." across:3
	--38..
		button prop1_slow "prop1_slow" width: 110
Tooltip:"Visible when prop 1 is slow."
	--39..
		button prop1_blurred "prop1_blurred" width: 110
Tooltip:"Visible when prop 1 is fast."
	--40..
		button prop2_still "prop2_still" width: 110 
Tooltip:"Visible when prop 2 is very slow." across:3
	--41..
		button prop2_slow "prop2_slow" width: 110
Tooltip:"Visible when prop 2 is slow."
	--42..
		button prop2_blurred "prop2_blurred" width: 110
Tooltip:"Visible when prop 2 is fast."
	--43..
		button prop3_still "prop3_still" width: 110 
Tooltip:"Visible when prop 3 is very slow." across:3
	--44..
		button prop3_slow "prop3_slow" width: 110
Tooltip:"Visible when prop 3 is slow."
	--45..
		button prop3_blurred "prop3_blurred" width: 110
Tooltip:"Visible when prop 3 is fast."
	--46..
		button c_wheelwell "c_wheelwell" width: 110 
Tooltip:"Visible only when the center gear is retracted." across:3
	--47..
		button l_wheelwell "l_wheelwell" width: 110
Tooltip:"Visible only when the left gear is retracted."
	--48..
		button r_wheelwell "r_wheelwell" width: 110
Tooltip:"Visible only when the right gear is retracted."		
	--49..
		button c_gearlight "c_gearlight" width: 110 
Tooltip:"Visible only when the center gear is greater than 45 percent." across:3
	--50..
		button spoilerwell_l "spoilerwell_l" width: 110
Tooltip:"Visible only when the spoilers are up."
	--51..
		button spoilerwell_r "spoilerwell_r" width: 110
Tooltip:"Visible only when the spoilers are up."
	--52..
		button endcap_l_wing_fold "endcap_l_wing_fold" width: 110 
Tooltip:"Visible only when the wings are folded." across:3
	--53..
		button endcap_r_wing_fold "endcap_r_wing_fold" width: 110
Tooltip:"Visible only when the wings are folded."	
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
	--1..
			on l_aileron pressed do
				(	
					$.name = "l_aileron"
					)
	--2..	
			on l_ailer pressed do		
				(	
					$.name = "l_ailer"
					)	
	--3..
			on r_aileron pressed do			
				(	
					$.name = "r_aileron"
					)
	--4..
			on r_ailer pressed do			
				(	
					$.name = "r_ailer"
	  				)
	--5..
			on l_elevator pressed do                          
			 	(
 					$.name = "l_elevator"
			    	)	
	--6..	 
			on r_elevator pressed do                          
		        (						  
 					$.name = "r_elevator"
			    	)	
	--7..
			on l_flap pressed do
                (
 					$.name = "l_flap"
			    	)
	--8..
			on r_flap pressed do
                (
 					$.name = "r_flap"
			    	)	
	--9..
			on rudder pressed do
                (
 					$.name = "rudder"
			    	)	
	--10..
			on trimtab pressed do
                (
 					$.name = "trimtab"
			    	)	
	--11..
			on trimtab_elevator pressed do
                (
 					$.name = "trimtab_elevator"
			    	)	
	--12..
			on trimtab_l_aileron pressed do
                (
 					$.name = "trimtab_l_aileron"
			    	)	
	--13..
			on trimtab_r_aileron pressed do
                (
 					$.name = "trimtab_r_aileron"
			    	)	
	--14..
			on trimtab_rudder pressed do
                (
 					$.name = "trimtab_rudder"
			    	)	
	--15..
			on rudder_water_rotate pressed do
                (
 					$.name = "rudder_water_rotate"
			    	)	
	--16..
			on elevon0L pressed do
                (
 					$.name = "elevon0L"
			    	)	
	--17..
			on elevon1L pressed do
                (
 					$.name = "elevon1L"
			    	)
	--18..
			on elevon2L pressed do
                (
 					$.name = "elevon2L"
			    	)
	--19..
				on elevon3R pressed do
                (
 					$.name = "elevon3R"
			    	)
	--20..
				on elevon4R pressed do
                (
 					$.name = "elevon4R"
			    	)
	--21..
				on elevon5R pressed do
                (
 					$.name = "elevon5R"
			    	)
	--22..
				on c_tire_blurred pressed do
                (
 					$.name = "c_tire_blurred"
			    	)
	--23..
				on l_tire_blurred pressed do
                (
 					$.name = "l_tire_blurred"
			    	)
	--24..
				on r_tire_blurred pressed do
                (
 					$.name = "r_tire_blurred"
			    	)
	--25..
				on c_tire_still pressed do
                (
 					$.name = "c_tire_still"
			    	)
	--26..
				on l_tire_still pressed do
                (
 					$.name = "l_tire_still"
			    	)
	--27..
				on r_tire_still pressed do
                (
 					$.name = "r_tire_still"
			    	)
	--28.
				on c_tire pressed do
                (
 					$.name = "c_tire"
			    	)
	--29..
				on l_tire pressed do
                (
 					$.name = "l_tire"
			    	)
	--30..
				on r_tire pressed do
                (
 					$.name = "r_tire"
			    	)
	--31..
				on prop_still pressed do
                (
 					$.name = "prop_still"
			    	)
	--32..
				on prop_slow pressed do
                (
 					$.name = "prop_slow"
			    	)
	--33..
				on prop_blurred pressed do
                (
 					$.name = "prop_blurred"
			    	)
	--34..
				on prop0_still pressed do
                (
 					$.name = "prop0_still"
			    	)
	--35..
				on prop0_slow pressed do
                (
 					$.name = "prop0_slow"
			    	)
	--36..
				on prop0_blurred pressed do
                (
 					$.name = "prop0_blurred"
			    	)
	--37..
				on prop1_still pressed do
                (
 					$.name = "prop1_still"
			    	)
	--38..
				on prop1_slow pressed do
                (
 					$.name = "prop1_slow"
			    	)
	--39..
				on prop1_blurred pressed do
                (
 					$.name = "prop1_blurred"
			    	)
	--40..
				on prop2_still pressed do
                (
 					$.name = "prop2_still"
			    	)
	--41..
				on prop2_slow pressed do
                (
 					$.name = "prop2_slow"
			    	)
	--42..
				on prop2_blurred pressed do
                (
 					$.name = "prop2_blurred"
			    	)
	--43..
				on prop3_still pressed do
                (
 					$.name = "prop3_still"
			    	)
	--44..
				on prop3_slow pressed do
                (
 					$.name = "prop3_slow"
			    	)
	--45..
				on prop3_blurred pressed do
                (
 					$.name = "prop3_blurred"
			    	)
	--46..
				on c_wheelwell pressed do
                (
 					$.name = "c_wheelwell"
			    	)
	--47..
				on l_wheelwell pressed do
                (
 					$.name = "l_wheelwell"
			    	)
	--48..
				on r_wheelwell pressed do
                (
 					$.name = "r_wheelwell"
			    	)
	--49..
				on c_gearlight pressed do
                (
 					$.name = "c_gearlight"
			    	)
	--50..
				on spoilerwell_l pressed do
                (
 					$.name = "spoilerwell_l"
			    	)
	--51..
				on spoilerwell_r pressed do
                (
 					$.name = "spoilerwell_r"
			    	)
	--52..
				on endcap_l_wing_fold pressed do
                (
 					$.name = "endcap_l_wing_fold"
			    	)
	--53..
				on endcap_r_wing_fold pressed do
                (
 					$.name = "endcap_r_wing_fold"
			    	)
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
--------------------------------------------------------------------------------
--This Rollout is to be used for FS8 "Keyframe Animation Names (Aircraft Only)"
(
	rollout The_Buttons "FS2002 (FS8) Keyframe Animation Names (Aircraft Only)"
	(
	label lab1"If a part has both a keyframe animation and a part name with a prefix that is listed "align:#left
	label lab2" in the following table, then the animation will be tied to a Flight Simulator simulation "align:#left
	label lab3 "variable."align:#left
	label lab4"These variables usually range from 0 to 100% ( unless otherwise noted )"align:#left
    label lab5"and are described in the Tool Tips flyouts."align:#left
	--1..
		button l_gear "l_gear" width: 110 
Tooltip:"Extension of left gear (0 to 100%) plus compression of the gear (0 to 100%). Total value can range from 0 to 200%." across:3
	--2..
		button r_gear "r_gear" width: 110
Tooltip:"Extension of right gear (0 to 100%) plus compression of the gear (0 to 100%). Total value can range from 0 to 200%." 
	--3..
		button c_gear "c_gear" width: 110
Tooltip:"Extension of center gear (0 to 100%) plus compression of the gear (0 to 100%). Total value can range from 0 to 200%.
Note  If the plane is a four-gear plane, this gear becomes the left front gear." 
	--4..
		button aux_gear "aux_gear" width: 110 
Tooltip:"Extension of right front gear (0 to 100%) plus compression (0 to 100%). Total value can range from 0 to 200%. 
Note  aux_gear is used with four-gear planes only. " across:3
	--5..
		button r_spoiler "r_spoiler" width: 110
Tooltip:"Extension of right speed brake (spoiler) " 
	--6..
		button l_spoiler "l_spoiler" width: 110
Tooltip:"Extension of left speed brake (spoiler)" 
	--7..
		button r_thrust_rev "r_thrust_rev" width: 110
Tooltip:"Extension of right thrust reverser nozzle
Note  The preferred globally unique identifiers (GUIDs) for the thrust reversers are the thrust_reversern series listed below because they support four engines." across:3
	--8..
		button l_thrust_rev "l_thrust_rev" width: 110
Tooltip:"Extension of left thrust reverser nozzle
Note  The preferred GUIDs for the thrust reversers are the thrust_reversern series listed below because they support four engines." 
	--9..
		button thrust_reverser0 "thrust_reverser0" width: 110
Tooltip:"Extension of engine 1 thrust reverser nozzle" 
	--10..
		button thrust_reverser1 "thrust_reverser1" width: 110 
Tooltip:"Extension of engine 2 thrust reverser nozzle" across:3
	--11..
		button thrust_reverser2 "thrust_reverser2" width: 110
Tooltip:"Extension of engine 3 thrust reverser nozzle" 
	--12..
		button thrust_reverser3 "thrust_reverser3" width: 110
Tooltip:"Extension of engine 4 thrust reverser nozzle" 
	--13..
		button visor "visor" width: 110 
Tooltip:"Extension of visor for the Concorde" across:3
	--14..
		button concorde_nose "concorde_nose" width: 110
Tooltip:"Extension of the nose for the Concorde (0% is up)" 		
	--15..
		button rudder_water_rotate "rudder_water_rotate" width: 110
Tooltip:"Deflection angle of the water rudder" 		
	--16..
		button c_wheel "c_wheel" width: 110 
Tooltip:"Steer angle of the center wheel." across:3
	--17..
		button l_wingfold "l_wingfold" width: 110
Tooltip:"Fold of the left wing (for example, for a CFS2 Corsair)" 		
	--18..
		button r_wingfold "r_wingfold" width: 110
Tooltip:"Fold of the right wing (for example, for a CFS2 Corsair)" 		
	--19..
		button l_pontoon "l_pontoon" width: 110 
Tooltip:"Unsupported" across:3
	--20..
		button r_pontoon "r_pontoon" width: 110
Tooltip:"Unsupported" 		
	--21..
		button cowling "cowling" width: 110
Tooltip:"Extension of cowl flap for engine 1. 
Note  It is recommended that you use the cowl_flapsn series listed below because they support four engines." 		
	--22..
		button f_canopy "f_canopy" width: 110 
Tooltip:"Openness of primary exit, door, or canopy (exit 0 in 3-D model)" across:3
	--23..
		button r_canopy "r_canopy" width: 110
Tooltip:"Openness of secondary exit, door, or canopy (exit 1 in 3-D model)" 		
	--24..
		button vc_f_canopy "vc_f_canopy" width: 110
Tooltip:"Openness of primary exit, door, or canopy (exit 0 in 3-D model)" 		
	--25..
		button vc_r_canopy "vc_r_canopy" width: 110 
Tooltip:"Openness of secondary exit, door, or canopy (exit 1 in 3-D model)" across:3
	--26..
		button Door_Passenger "Door_Passenger" width: 110
Tooltip:"Openness of primary exit, door, or canopy (exit 0 in 3-D model)" 		
	--27..
		button Door_Cargo "Door_Cargo" width: 110
Tooltip:"Openness of secondary exit, door, or canopy (exit 1 in 3-D model)" 		
	--28..
		button pilot "pilot" width: 110 
Tooltip:"Unsupported" across:3
	--29..
		button gunner0 "gunner0" width: 110
Tooltip:"Combat Flight Simulator" 		
	--30..
		button gunner1 "gunner1" width: 110
Tooltip:"Combat Flight Simulator" 		
	--31..
		button gunner2 "gunner2" width: 110 
Tooltip:"Combat Flight Simulator" across:3
	--32..
		button tailhook "tailhook" width: 110
Tooltip:"Extension of a tail hook " 		
	--33..
		button l_flap_key "l_flap_key" width: 110
Tooltip:"Deflection angle of the left flap's trailing edge " 		
	--34..
		button r_flap_key "r_flap_key" width: 110 
Tooltip:"Deflection angle of the right flap's trailing edge" across:3
	--35..
		button rudder_water_deploy "rudder_water_deploy" width: 110
Tooltip:"Extension of the water rudde" 		
	--36..
		button battery_switch "battery_switch" width: 110
Tooltip:"Unsupported" 
	--37..
		button l_pct_lead_edge_flap0 "l_pct_lead_edge_flap0" width: 120 
Tooltip:"Deflection of the left primary leading edge flap" across:3
	--38..
		button r_pct_lead_edge_flap0 "r_pct_lead_edge_flap0" width: 120
Tooltip:"Deflection of the right primary leading edge flap" 
	--39..
		button l_pct_lead_edge_flap1 "l_pct_lead_edge_flap1" width: 120
Tooltip:"Deflection of the left secondary leading edge flap" 
	--40..
		button r_pct_lead_edge_flap1 "r_pct_lead_edge_flap1" width: 120 
Tooltip:"Deflection of the right secondary leading edge flap" across:3
	--41..
		button l_pct_trail_edge_flap0 "l_pct_trail_edge_flap0" width: 120
Tooltip:"Deflection of the left primary trailing edge flap" 
	--42..
		button r_pct_trail_edge_flap0 "r_pct_trail_edge_flap0" width: 120
Tooltip:"Deflection of the right primary trailing edge flap" 
	--43..
		button l_pct_trail_edge_flap1 "l_pct_trail_edge_flap1" width: 120 
Tooltip:"Deflection of the left secondary trailing edge flap" across:3
	--44..
		button r_pct_trail_edge_flap1 "r_pct_trail_edge_flap1" width: 120
Tooltip:"Deflection of the right secondary trailing edge flap" 
	--45..
		button lever_throttle0 "lever_throttle0" width: 110
Tooltip:"Position of engine 1 throttle lever  (0=idle and 100=maximum)" 
	--46..
		button lever_throttle1 "lever_throttle1" width: 110 
Tooltip:"Position of engine 2 throttle lever (0=idle and 100=maximum)" across:3
	--47..
		button lever_throttle2 "lever_throttle2" width: 110
Tooltip:"Position of engine 3 throttle lever (0=idle and 100=maximum)" 		
	--48..
		button lever_throttle3 "lever_throttle3" width: 110
Tooltip:"Position of engine 4 throttle lever (0=idle and 100=maximum)" 
	--49..
		button lever_prop_pitch0 "lever_prop_pitch0" width: 110 
Tooltip:"Position of engine 1 propeller lever (0=minimum and 100=maximum)" across:3
	--50..
		button lever_prop_pitch1"lever_prop_pitch1" width: 110
Tooltip:"Position of engine 2 propeller lever (0=minimum and 100=maximum)" 
	--51..
		button lever_prop_pitch2"lever_prop_pitch2" width: 110
Tooltip:"Position of engine 3 propeller lever (0=minimum and 100=maximum)" 
	--52..
		button lever_prop_pitch3 "lever_prop_pitch3" width: 110 
Tooltip:"Position of engine 4 propeller lever (0=minimum and 100=maximum)" across:3		
	--53..
		button lever_mixture0 "lever_mixture0" width: 110
Tooltip:"Position of engine 1 mixture lever (0=minimum and 100=maximum)" 
	--54..
		button lever_mixture1 "lever_mixture1" width: 110
Tooltip:"Position of engine 2 mixture lever (0=minimum and 100=maximum)" 
	--55..
		button lever_mixture2 "lever_mixture2" width: 110 
Tooltip:"Position of engine 3 mixture lever (0=minimum and 100=maximum)" across:3
	--56..
		button lever_mixture3 "lever_mixture3" width: 110
Tooltip:"Position of engine 4 mixture lever (0=minimum and 100=maximum)" 
	--57..
		button lever_water_rudder "lever_water_rudder" width: 110
Tooltip:"Position of water rudder handle " 
	--58..
		button lever_stick_fore_aft "lever_stick_fore_aft" width: 110 
Tooltip:"Fore/aft position of yoke/stick (0=fore, 50=neutral, and 100=aft) " across:3
	--59..
		button lever_stick_l_r "lever_stick_l_r" width: 110
Tooltip:"Left/right position of yoke/stick (0=far left, 50=neutral, 100=far right)" 
	--60..
		button lever_pedals_l_r "lever_pedals_l_r" width: 110
Tooltip:"Left/right position of rudder pedals (0=far left, 50=neutral, 100=far right)" 
	--61..
		button lever_collective "lever_collective" width: 110 
Tooltip:"Helicopter collective percent increased" across:3
	--62..
		button lever_landing_gear "lever_landing_gear" width: 110
Tooltip:"Extension of the landing gear (in the down direction)" 
	--63..
		button lever_speed_brake "lever_speed_brake" width: 110
Tooltip:"Extension of speed brake (spoiler) lever " 
	--64..
		button lever_parking_brake "lever_parking_brake" width: 110 
Tooltip:"Parking brake percent increased" across:3
	--65..
		button lever_flap "lever_flap" width: 110
Tooltip:"Extension of flap lever " 
	--66..
		button lever_cowl_flaps0 "lever_cowl_flaps0" width: 110
Tooltip:"Position of Engine 1 cowl flap lever (0=minimum and 100=maximum)" 
	--67..
		button lever_cowl_flaps1 "lever_cowl_flaps1" width: 110 
Tooltip:"Position of engine 2 cowl flap lever (0=minimum and 100=maximum)" across:3
	--68..
		button lever_cowl_flaps2 "lever_cowl_flaps2" width: 110
Tooltip:"Position of engine 3 cowl flap lever (0=minimum and 100=maximum)" 
	--69..
		button lever_cowl_flaps3 "lever_cowl_flaps3" width: 110
Tooltip:"Position of engine 4 cowl flap lever (0=minimum and 100=maximum)" 
	--70..
		button cowl_flaps0 "cowl_flaps0" width: 110 
Tooltip:"Extension of engine 1 cowl flap" across:3
	--71..
		button cowl_flaps1 "cowl_flaps1" width: 110
Tooltip:"Extension of engine 2 cowl flap" 
	--72..
		button cowl_flaps2 "cowl_flaps2" width: 110
Tooltip:"Extension of engine 3 cowl flap" 
	--73..
		button cowl_flaps3 "cowl_flaps3" width: 110 
Tooltip:"Extension of engine 1 cowl flap" across:3
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------		
	--1..
				on l_gear pressed do
                (
 					$.name = "l_gear"
			    	)
	--2..
				on r_gear pressed do
                (
 					$.name = "r_gear"
			    	)
	--3..
				on c_gear pressed do
                (
 					$.name = "c_gear"
			    	)
	--4..
				on aux_gear pressed do
                (
 					$.name = "aux_gear"
			    	)
	--5..
				on r_spoiler pressed do
                (
 					$.name = "r_spoiler"
			    	)
	--6..
				on l_spoiler pressed do
                (
 					$.name = "l_spoiler"
			    	)
	--7..
				on r_thrust_rev pressed do
                (
 					$.name = "r_thrust_rev"
			    	)
	--8..
				on l_thrust_rev pressed do
                (
 					$.name = "l_thrust_rev"
			    	)
	--9..
				on thrust_reverser0 pressed do
                (
 					$.name = "thrust_reverser0"
			    	)
	--10..
				on thrust_reverser1 pressed do
                (
 					$.name = "thrust_reverser1"
			    	)
	--11..
				on thrust_reverser2 pressed do
                (
 					$.name = "thrust_reverser2"
			    	)
	--12..
				on thrust_reverser3 pressed do
                (
 					$.name = "thrust_reverser3"
			    	)
	--13..
				on visor pressed do
                (
 					$.name = "visor"
			    	)
	--14..
				on concorde_nose pressed do
                (
 					$.name = "concorde_nose"
			    	)
	--15..
				on rudder_water_rotate pressed do
                (
 					$.name = "rudder_water_rotate"
			    	)
	--15..
				on rudder_water_rotate pressed do
                (
 					$.name = "rudder_water_rotate"
			    	)
	--16..
				on c_wheel pressed do
                (
 					$.name = "c_wheel"
			    	)
	--17..
				on l_wingfold pressed do
                (
 					$.name = "l_wingfold"
			    	)
	--18..
				on r_wingfold pressed do
                (
 					$.name = "r_wingfold"
			    	)
	--19..
				on l_pontoon pressed do
                (
 					$.name = "l_pontoon"
			    	)
	--20..
				on r_pontoon pressed do
                (
 					$.name = "r_pontoon"
			    	)
	--21..
				on cowling pressed do
                (
 					$.name = "cowling"
			    	)
	--22..
				on f_canopy pressed do
                (
 					$.name = "f_canopy"
			    	)
	--23..
				on r_canopy pressed do
                (
 					$.name = "r_canopy"
			    	)
	--24..
				on vc_f_canopy pressed do
                (
 					$.name = "vc_f_canopy"
			    	)
	--25..
				on vc_r_canopy pressed do
                (
 					$.name = "vc_r_canopy"
			    	)
	--25..
				on vc_r_canopy pressed do
                (
 					$.name = "vc_r_canopy"
			    	)
	--26..
				on Door_Passenger pressed do
                (
 					$.name = "Door_Passenger"
			    	)
	--27..
				on Door_Cargo pressed do
                (
 					$.name = "Door_Cargo"
			    	)
	--28..
				on pilot pressed do
                (
 					$.name = "pilot"
			    	)
	--29..
				on gunner0 pressed do
                (
 					$.name = "gunner0"
			    	)
	--30..
				on gunner1 pressed do
                (
 					$.name = "gunner1"
			    	)
	--31..
				on gunner2 pressed do
                (
 					$.name = "gunner2"
			    	)
	--32..
				on tailhook pressed do
                (
 					$.name = "tailhook"
			    	)
	--33..
				on l_flap_key pressed do
                (
 					$.name = "l_flap_key"
			    	)
	--34..
				on r_flap_key pressed do
                (
 					$.name = "r_flap_key"
			    	)
	--35..
				on rudder_water_deploy pressed do
                (
 					$.name = "rudder_water_deploy"
			    	)
	--36..
				on battery_switch pressed do
                (
 					$.name = "battery_switch"
			    	)
	--37..
				on l_pct_lead_edge_flap0 pressed do
                (
 					$.name = "l_pct_lead_edge_flap0"
			    	)
	--38..
				on r_pct_lead_edge_flap0 pressed do
                (
 					$.name = "r_pct_lead_edge_flap0"
			    	)
	--39..
				on l_pct_lead_edge_flap1 pressed do
                (
 					$.name = "l_pct_lead_edge_flap1"
			    	)
	--40..
				on r_pct_lead_edge_flap1 pressed do
                (
 					$.name = "r_pct_lead_edge_flap1x"
			    	)
	--41..
				on l_pct_trail_edge_flap0 pressed do
                (
 					$.name = "l_pct_trail_edge_flap0"
			    	)
	--42..
				on r_pct_trail_edge_flap0 pressed do
                (
 					$.name = "r_pct_trail_edge_flap0"
			    	)
	--43..
				on l_pct_trail_edge_flap1 pressed do
                (
 					$.name = "l_pct_trail_edge_flap1"
			    	)
	--44..
				on r_pct_trail_edge_flap1 pressed do
                (
 					$.name = "r_pct_trail_edge_flap1"
			    	)
	--45..
				on lever_throttle0 pressed do
                (
 					$.name = "lever_throttle0"
			    	)
	--46..
				on lever_throttle1 pressed do
                (
 					$.name = "lever_throttle1"
			    	)
	--47..
				on lever_throttle2 pressed do
                (
 					$.name = "lever_throttle2"
			    	)
	--48..
				on lever_throttle3 pressed do
                (
 					$.name = "lever_throttle3"
			    	)
	--49..
				on lever_prop_pitch0 pressed do
                (
 					$.name = "lever_prop_pitch0"
			    	)
	--50..
				on lever_prop_pitch1 pressed do
                (
 					$.name = "lever_prop_pitch1"
			    	)
	--51..
				on lever_prop_pitch2 pressed do
                (
 					$.name = "lever_prop_pitch2"
			    	)
	--52..
				on lever_prop_pitch3 pressed do
                (
 					$.name = "lever_prop_pitch3"
			    	)
	--53..
				on lever_mixture0 pressed do
                (
 					$.name = "lever_mixture0"
			    	)
	--54..
				on lever_mixture1 pressed do
                (
 					$.name = "lever_mixture1"
			    	)
	--55..
				on lever_mixture2 pressed do
                (
 					$.name = "lever_mixture2"
			    	)
	--56..
				on lever_mixture3 pressed do
                (
 					$.name = "lever_mixture3"
			    	)
	--57..
				on lever_water_rudder pressed do
                (
 					$.name = "lever_water_rudder"
			    	)
	--58..
				on lever_stick_fore_aft pressed do
                (
 					$.name = "lever_stick_fore_aft"
			    	)
	--59..
				on lever_stick_l_r pressed do
                (
 					$.name = "lever_stick_l_r"
			    	)	
	--60..
				on lever_pedals_l_r pressed do
                (
 					$.name = "lever_pedals_l_r"
			    	)
	--61..
				on lever_collective pressed do
                (
 					$.name = "lever_collective"
			    	)
	--62..
				on lever_landing_gear pressed do
                (
 					$.name = "lever_landing_gear"
			    	)
	--63..
				on lever_speed_brake pressed do
                (
 					$.name = "lever_speed_brake"
			    	)
	--64..
				on lever_parking_brake pressed do
                (
 					$.name = "lever_parking_brake"
			    	)
	--65..
				on lever_flap pressed do
                (
 					$.name = "lever_flap"
			    	)
	--66..
				on lever_cowl_flaps0 pressed do
                (
 					$.name = "lever_cowl_flaps0"
			    	)
	--67..
				on lever_cowl_flaps1 pressed do
                (
 					$.name = "lever_cowl_flaps1"
			    	)
	--68..
				on lever_cowl_flaps2 pressed do
                (
 					$.name = "lever_cowl_flaps2"
			    	)
	--69..
				on lever_cowl_flaps3 pressed do
                (
 					$.name = "lever_cowl_flaps3"
			    	)
	--70..
				on cowl_flaps0 pressed do
                (
 					$.name = "cowl_flaps0"
			    	)	
	--71..
				on cowl_flaps1 pressed do
                (
 					$.name = "cowl_flaps1"
			    	)
	--72..
				on cowl_flaps2 pressed do
                (
 					$.name = "cowl_flaps2"
			    	)
	--73..
				on cowl_flaps3 pressed do
                (
 					$.name = "cowl_flaps3"
			    	)					
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
------------------------------------------------------------------------------------


--This Rollout is to be used for FS9"Keyframe Animation Names (Exterior Parts ONLY)"
(
	rollout The_Buttons "FS2004 (FS9) Keyframe Animation Names (Exterior Parts Only)"
	(
	label lab1 "If a part has both a keyframe animation and a part name with a prefix that is listed "          align:#left
	label lab2 "in the following table, then the animation will be tied to a Flight Simulator simulation "      align:#left
	label lab3 "variable. These variables usually range from 0 to 100%( unless otherwise noted )"               align:#left
	label lab4 "and are described in the Tool Tips flyouts. "                                                   align:#left
	label lab5 "_____________________________________________________________"                                  align:#MIDDLE
    label lab6 "******SPECIAL NOTE PLEASE READ******"                                                           align:#MIDDLE
    label lab7 "Tags followed by the # sign will need to have a number added manually in "                      align:#left
	label lab8 "the (Name and Color) type in."                                                                  align:#left
	label lab9 "_____________________________________________________________"                                  align:#MIDDLE
	

	--1..
		button L_Aileron "L_Aileron" width: 110 
Tooltip:"[Function] Aileron,,  [Ex. Aircraft] Cessna 182,,  [Part Name] L_Alieron,,  [PARAMETERS] Axis (X Driven)" across:3

	--2..
		button R_Aileron "R_Aileron" width: 110 
Tooltip:"[Function] Aileron,,  [Ex. Aircraft] Cessna 182,,  [Part Name] R_Alieron,,  [PARAMETERS] Axis (X Driven)"

	--3..
		button L_Aileron_Key "L_Aileron_Key" width: 110 
Tooltip:"[Function]Aileron with Wires (Key Framed),,  [Ex. Aircraft] Piper Cub,,  [Part Name] L_Aileron_Key,,  [PARAMETERS] L_Aileron_Key Key 0 = Full Down, Key 50 = No Deflection, Key 100 = Full Up"

	--4..
		button R_Aileron_Key "R_Aileron_Key" width: 110 
Tooltip:"[Function]Aileron with Wires (Key Framed),,  [Ex. Aircraft] Piper Cub,,  [Part Name] R_Aileron_Key,,  [PARAMETERS] R_Aileron_Key Key 0 = Full Down, Key 50 = No Deflection, Key 100 = Full Up"
 across:3

	--5..
		button Anemometer "Anemometer" width: 110 
Tooltip:"[Function] Anemometer,,  [Ex. Aircraft] Spirit,,  [Part Name]Anemometer,,  [PARAMETERS] Axis (Z Driven)"

	--6..
		button Cowl_Flaps "Cowl_Flaps#" width: 110 
Tooltip:"[Function]Cowl Flaps (Key Framed),,  [Ex. Aircraft] Douglas DC3,,  [Part Name  (# = Number)] Cowl_Flaps#,,  [PARAMETERS] Key 0 = Closed,  Key 100 = Open"

	--7..
		button F_Canopy "F_Canopy" width: 110 
Tooltip:"[Function] Door\Canopy Primary Exit,,  [Ex. Aircraft] Schweizer,,  [Part Name] F_Canopy,,  [PARAMETERS] Key 0 =  Closed, Key 100 = Open" across:3


	--8..
		button R_Canopy "R_Canopy" width: 110 
Tooltip:"[Function] Door\Canopy Secondary Exit,,  [Ex. Aircraft] Caravan 208B,,  [Part Name] R_Canopy,,  [PARAMETERS] Key 0 =  Closed, Key 100 = Open"
 across:3

	--9..
		button L_Elevator "L_Elevator" width: 110 
Tooltip:"[Function] Elevator,,  [Ex. Aircraft] Cessna 182,,  [Part Name] L_Elevator,,  [PARAMETERS] Axis (X Driven)"

	--10..
		button R_Elevator "R_Elevator" width: 110 
Tooltip:"[Function] Elevator,,  [Ex. Aircraft] Cessna 182,,  [Part Name] R_Elevator,,  [PARAMETERS] Axis (X Driven)" across:3

	--11..
		button Elevator_Key "Elevator_Key" width: 110 
Tooltip:"[Function] Elevators with Wires (Key Framed),,  [Ex. Aircraft] Piper Cub,,  [Part Name] Elevator_Key,,  [PARAMETERS] Key 0 = Full Down, Key 50 = No Deflection, Key 100 = Full Up  "

	--12..
		button Engine_Rocker_Arm "Engine_Rocker_Arm" width: 110 
Tooltip:"[Function] Engine Rocker Arms,,  [Ex. Aircraft] Curtiss Jenny,,  [Part Name] Engine_Rocker_Armr,,  [PARAMETERS] Key 0 -100 Full Cycle of All Cylinders Firing in Order"

	--13..
		button L_Flap "L_Flap" width: 110 
Tooltip:"[Function] Flaps,,  [Ex. Aircraft] Beech Baron,,  [Part Name] L_Flap,,  [PARAMETERS] Axis (X Driven)" across:3

	--14..
		button R_Flap "R_Flap" width: 110 
Tooltip:"[Function] Flaps,,  [Ex. Aircraft] Beech Baron,,  [Part Name] R_Flap,,  [PARAMETERS] Axis (X Driven)"

	--15..
		button L_Flap_Key "L_Flap_Key" width: 110 
Tooltip:"[Function] Flaps (Key Framed),,  [Ex. Aircraft] Mooney Bravo,,  [Part Name] L_Flap_Key,,  [PARAMETERS] Key 0 = 0% Deflection, Key 100 = 100% Deflection"

	--16..
		button R_Flap_Key "R_Flap_Key" width: 110 
Tooltip:"[Function] Flaps (Key Framed),,  [Ex. Aircraft] Mooney Bravo,,  [Part Name] R_Flap_Key,,  [PARAMETERS] Key 0 = 0% Deflection, Key 100 = 100% Deflection"
  align:#middle

	--17..
		button R_Pct_Lead_Edge_Flap0 "R_Pct_Lead_Edge_Flap0" width: 130
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] R_Pct_Lead_Edge_Flap0,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"across:2 

	--18..
		button L_Pct_Lead_Edge_Flap0 "L_Pct_Lead_Edge_Flap0" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] L_Pct_Lead_Edge_Flap0,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"

	--19..
		button R_Pct_Lead_Edge_Flap1 "R_Pct_Lead_Edge_Flap1" width: 130
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] R_Pct_Lead_Edge_Flap1,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"across:2

	--20..
		button L_Pct_Lead_Edge_Flap1 "L_Pct_Lead_Edge_Flap1" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] L_Pct_Lead_Edge_Flap1,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"


	--21..
		button R_Pct_Trail_Edge_Flap0 "R_Pct_Trail_Edge_Flap0" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] R_Pct_Trail_Edge_Flap0,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"
 across:2

	--22..
		button L_Pct_Trail_Edge_Flap0 "L_Pct_Trail_Edge_Flap0" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] L_Pct_Trail_Edge_Flap0,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"

	--23..
		button R_Pct_Trail_Edge_Flap1 "R_Pct_Trail_Edge_Flap1" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] R_Pct_Trail_Edge_Flap1,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"
 across:2

	--24..
		button L_Pct_Trail_Edge_Flap1 "L_Pct_Trail_Edge_Flap1" width: 130 
Tooltip:"[Function] Flaps (Leading and Trailing Edge,,  [Ex. Aircraft] Boeing 777,,  [Part Name] L_Pct_Trail_Edge_Flap1,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed"

	--25..
		button Fly_Wheel "Fly_Wheel" width: 110 
Tooltip:"[Function] Fly Wheel (Wright Flyer Specific),,  [Ex. Aircraft] Wright Flyer,,  [Part Name] Fly_Wheel,,  [PARAMETERS] Axis (Y Driven)" across:3

	--26..
		button Aux_Gear "Aux_Gear" width: 110 
Tooltip:"[Function] Landing Gear (Aux),,  [Ex. Aircraft] Caravan 208,,  [Part Name] Aux_Gear,,  [PARAMETERS] Key 0 = Retracted, Key 100 = Deployed, Key 150 = Compressed on Ground, Key 200 = Full Compression"

	--27..
		button C_Wheel "C_Wheel" width: 110 
Tooltip:"[Function] Landing Gear (Center Rotation),,  [Ex. Aircraft] Lear 45,,  [Part Name] C_Wheel,,  [PARAMETERS] Key 100 = 0 Degrees, Key 200 = 360 Degrees Clockwise"

	--28..
		button C_Gear "C_Gear" width: 110 
Tooltip:"[Function] Landing Gear (Center),,  [Ex. Aircraft] Lear 45,,  [Part Name] C_Gear,,  [PARAMETERS] Key 0 = Retracted, Key 100 = Deployed, Key 150 = Compressed on Ground, Key 200 = Full Compression" across:3

	--29..
		button L_Gear "L_Gear" width: 110 
Tooltip:"[Function] Landing Gear (Center),,  [Ex. Aircraft] Lear 45,,  [Part Name] L_Gear,,  [PARAMETERS] Key 0 = Retracted, Key 100 = Deployed, Key 150 = Compressed on Ground, Key 200 = Full Compression"

	--30..
		button R_Gear "R_Gear" width: 110 
Tooltip:"[Function] Landing Gear (Center),,  [Ex. Aircraft] Lear 45,,  [Part Name] R_Gear,,  [PARAMETERS] Key 0 = Retracted, Key 100 = Deployed, Key 150 = Compressed on Ground, Key 200 = Full Compression"

	--31..
		button Landing_Light "Landing_Light" width: 110 
Tooltip:"[Function] Landing Light,,  [Ex. Aircraft] Vega,,  [Part Name] Landing_Light,,  [PARAMETERS] Key 0 = Up,  Key 100 = Down   " across:3

	--32..
		button Prop_Still "Prop#_Still" width: 110 
Tooltip:"[Function] Props,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Prop#_Still,,  [PARAMETERS] Axis (Y in Max and Gmax Models) (-Z in Softimage)  "

	--33..
		button Prop_Slowl "Prop#_Slow" width: 110 
Tooltip:"[Function] Props,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Prop#_Slow,,  [PARAMETERS] Axis (Y in Max and Gmax Models) (-Z in Softimage)  "

	--34..
		button Prop_Blurred "Prop#_Blurred" width: 110 
Tooltip:"[Function] Props,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Prop#_Blurred,,  [PARAMETERS] Geometry Switches When Tire RPM is High " across:3

	--35..
		button Rudder "Rudder" width: 110 
Tooltip:"[Function] Rudder,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Rudder,,  [PARAMETERS] Axis (Z in Max and Gmax Models) (Y in Softimage)"

	--36..
		button Rudder_Key "Rudder_Key" width: 110 
Tooltip:"[Function] Rudder with Wires (Key Framed),,  [Ex. Aircraft] Piper Cub,,  [Part Name] Rudder_Key,,  [PARAMETERS] Key 0 = Full Left, Key 50 = No Deflection, Key 100 = Full Right  "

	--37..
		button R_Spoiler "R_Spoiler" width: 110 
Tooltip:"[Function] Speedbrake/Spoiler,,  [Ex. Aircraft] Schweizer,,  [Part Name] R_Spoiler,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed   " across:3

	--38..
		button L_Spoiler "L_Spoiler" width: 110 
Tooltip:"[Function] Speedbrake/Spoiler,,  [Ex. Aircraft] Schweizer,,  [Part Name] L_Spoiler,,  [PARAMETERS] Key 0 = Retracted,  Key 100 = 100% Deployed   "

	--38..
		button Thrust_Reverser "Thrust_Reverser#" width: 110 
Tooltip:"[Function] Thrust Reverser,,  [Ex. Aircraft] Lear 45,,  [Part Name] Thrust_Reverser#,,  [PARAMETERS] Key 0 = Closed,  Key 100 = Open   "

	--40..
		button C_Tire_Still "C_Tire_Still" width: 110 
Tooltip:"[Function] Tires (Center),,  [Ex. Aircraft] Cessna 182,,  [Part Name] C_Tire_Still,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High" across:3

	--41..
		button C_Tire_Blurred "C_Tire_Blurred" width: 110 
Tooltip:"[Function] Tires (Center),,  [Ex. Aircraft] Cessna 182,,  [Part Name] C_Tire_Blurred,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High"

	--42..
		button L_Tire_Still "L_Tire_Still" width: 110 
Tooltip:"[Function] Tires (Left),,  [Ex. Aircraft] Cessna 182,,  [Part Name] L_Tire_Still,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High"

	--43..
		button L_Tire_Blurred "L_Tire_Blurred" width: 110 
Tooltip:"[Function] Tires (Left),,  [Ex. Aircraft] Cessna 182,,  [Part Name] L_Tire_Blurred,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High"across:3

	--44..
		button R_Tire_Still "R_Tire_Still" width: 110 
Tooltip:"[Function] Tires (Rightt),,  [Ex. Aircraft] Cessna 182,,  [Part Name] R_Tire_Still,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High"

	--45..
		button R_Tire_Blurred "R_Tire_Blurred" width: 110 
Tooltip:"[Function] Tires (Left),,  [Ex. Aircraft] Cessna 182,,  [Part Name] R_Tire_Blurred,,  [PARAMETERS] Axis (X Driven)  Geometry Switches When Tire RPM is High"

	--46..
		button Trimtab "Trimtab" width: 130 
Tooltip:"[Function] Trimtab for Elevator,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Trimtab,,  [PARAMETERS] Axis (X Driven)"across:2 

	--47..
		button Rudder_Water_Deploy "Rudder_Water_Deploy" width: 130 
Tooltip:"[Function] Water Rudder,,  [Ex. Aircraft] Caravan 208,,  [Part Name] Rudder_Water_Deploy,,  [PARAMETERS] Key 0 = 100% Deployed,  Key 100 = Retracted  "

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------		
	--1..
				on L_Aileron pressed do
                (
 					$.name = "L_Aileron"
			    	)				
	--2..
				on R_Aileron pressed do
                (
 					$.name = "R_Aileron"
			    	)					
	--3..       
				on L_Aileron_Key pressed do
				(
					$.name = "L_Aileron_Key"
					)								
	--4..       
				on R_Aileron_Key pressed do
				(
					$.name = "R_Aileron_Key"
					)								
	--5..       
				on Anemometer pressed do
				(
					$.name = "Anemometer"
					)								
	--6..       
				on Cowl_Flaps pressed do
				(
					$.name = "Cowl_Flaps#"
					)
	--7..       
				on F_Canopy pressed do
				(
					$.name = "F_Canopy"
					)
	--8..       
				on R_Canopy pressed do
				(
					$.name = "R_Canopy"
					)
	--9..       
				on L_Elevator pressed do
				(
					$.name = "L_Elevator"
					)
	--10..       
				on R_Elevator pressed do
				(
					$.name = "R_Elevator"
					)
	--11..       
				on Elevator_Key pressed do
				(
					$.name = "Elevator_Key"
					)
	--12..       
				on Engine_Rocker_Arm pressed do
				(
					$.name = "Engine_Rocker_Arm"
					)
	--13..
				on L_Flap pressed do
                (
 					$.name = "L_Flap"
			    	)
	--14..
				on R_Flap pressed do
                (
 					$.name = "R_Flap"
			    	)
	--15..       
				on L_Flap_Key pressed do
				(
					$.name = "L_Flap_Key"
					)
	--16..
				on R_Flap_Key pressed do
                (
 					$.name = "R_Flap_Key"
			    	)				
	--17..
				on R_Pct_Lead_Edge_Flap0 pressed do
                (
 					$.name = "R_Pct_Lead_Edge_Flap0"
			    	)					
	--18..       
				on L_Pct_Lead_Edge_Flap0 pressed do
				(
					$.name = "L_Pct_Lead_Edge_Flap0"
					)
	--19..
				on R_Pct_Lead_Edge_Flap1 pressed do
                (
 					$.name = "R_Pct_Lead_Edge_Flap1"
			    	)				
	--20..
				on L_Pct_Lead_Edge_Flap1 pressed do
                (
 					$.name = "L_Pct_Lead_Edge_Flap1"
			    	)					
	--21..       
				on R_Pct_Trail_Edge_Flap0 pressed do
				(
					$.name = "R_Pct_Trail_Edge_Flap0"
					)
	--22..       
				on L_Pct_Trail_Edge_Flap0 pressed do
				(
					$.name = "L_Pct_Trail_Edge_Flap0"
					)
	--23..       
				on R_Pct_Trail_Edge_Flap1 pressed do
				(
					$.name = "R_Pct_Trail_Edge_Flap1"
					)
	--24..       
				on L_Pct_Trail_Edge_Flap1 pressed do
				(
					$.name = "L_Pct_Trail_Edge_Flap1"
					)
	--25..
				on Fly_Wheel pressed do
                (
 					$.name = "Fly_Wheel"
			    	)				
	--26..
				on Aux_Gear pressed do
                (
 					$.name = "Aux_Gear"
			    	)					
	--27..       
				on C_Wheel pressed do
				(
					$.name = "C_Wheel"
					)
	--28..
				on C_Gear pressed do
                (
 					$.name = "C_Gear"
			    	)				
	--29..
				on L_Gear pressed do
                (
 					$.name = "L_Gear"
			    	)					
	--30..       
				on R_Gear pressed do
				(
					$.name = "R_Gear"
					)
	--31..
				on Landing_Light pressed do
                (
 					$.name = "Landing_Light"
			    	)				
	--32..
				on Prop_Still pressed do
                (
 					$.name = "Prop#_Still"
			    	)					
	--33..       
				on Prop_Slowl pressed do
				(
					$.name = "Prop#_Slow"
					)
	--34..
				on Prop_Blurred pressed do
                (
 					$.name = "Prop#_Blurred"
			    	)				
	--35..
				on Rudder pressed do
                (
 					$.name = "Rudder"
			    	)					
	--36..       
				on Rudder_Key pressed do
				(
					$.name = "Rudder_Key"
					)
	--37..
				on R_Spoiler pressed do
                (
 					$.name = "R_Spoiler"
			    	)				
	--38..
				on L_Spoiler pressed do
                (
 					$.name = "L_Spoiler"
			    	)					
	--39..       
				on Thrust_Reverser pressed do
				(
					$.name = "Thrust_Reverser#"
					)
	--40..
				on C_Tire_Still pressed do
                (
 					$.name = "C_Tire_Still"
			    	)				
	--41..
				on C_Tire_Blurred pressed do
                (
 					$.name = "C_Tire_Blurred"
			    	)					
	--42..       
				on L_Tire_Still pressed do
				(
					$.name = "L_Tire_Still"
					)
	--43..
				on L_Tire_Blurred pressed do
                (
 					$.name = "L_Tire_Blurred"
			    	)				
	--44..
				on R_Tire_Still pressed do
                (
 					$.name = "R_Tire_Still"
			    	)					
	--45..       
				on R_Tire_Blurred pressed do
				(
					$.name = "R_Tire_Blurred"
					)
	--46..
				on Trimtab pressed do
                (
 					$.name = "Trimtab"
			    	)				
	--47..
				on Rudder_Water_Deploy pressed do
                (
 					$.name = "Rudder_Water_Deploy"
			    	)															
	)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true
)--end TB rollout
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

--This Rollout is to be used for FS9"Keyframe Animation Names (Exterior Parts ONLY)"
(
	rollout The_Buttons "FS2004 (FS9) Keyframe Animation Names (Interior Parts Parts Only)"
	(
	label lab1 "If a part has both a keyframe animation and a part name with a prefix that is listed "          align:#left
	label lab2 "in the following table, then the animation will be tied to a Flight Simulator simulation "      align:#left
	label lab3 "variable. These variables usually range from 0 to 100%( unless otherwise noted )"               align:#left
	label lab4 "and are described in the Tool Tips flyouts. "                                                   align:#left
	label lab5 "_____________________________________________________________"                                  align:#MIDDLE
    label lab6 "These parts are driven from XML descriptions found in MakeMDL.parts.XML."						align:#left
    label lab7 "It possible to add new animated parts by adding to the MakeMDL.parts.XML file."                 align:#left
	label lab8 "Use the XML Gauges section of the Panels SDK.doc as a reference when using XML "                align:#left
	label lab9  "to create your own animated parts. "                                                           align:#left
	label lab11 "_____________________________________________________________"                                 align:#MIDDLE
    label lab12 "******SPECIAL NOTE PLEASE READ******"                                                          align:#MIDDLE
    label lab13 "Tags followed by the # sign will need to have a number added manually in "                     align:#left
	label lab14 "the (Name and Color) type in."                                                                 align:#left
	label lab15 "_____________________________________________________________"                                 align:#MIDDLE

	--1..
		button Lever_Trimtab_Aileron "Lever_Trimtab_Aileron" width: 136
Tooltip:"[Function] Aileron Trim,,  [Ex. Aircraft] Cessna Caravan,,  [Part Name] Lever_Trimtab_Aileron,,  [PARAMETERS] Axis (-X Driven)" across:3

	--2..
		button Lever_Trimtab_Aileron_Key "Lever_Trimtab_Aileron_Key" width: 136
Tooltip:"[Function] Aileron Trim (knob),,  [Ex. Aircraft] Kingair 350,,  [Part Name] Lever_Trimtab_Aileron_Key,,  [PARAMETERS] Key 0 = Max Left, Key 50 = No Trim, Key 100 = Max Right"

	--3..
		button Switch_Alt_Air "Switch_Alt_Air" width: 136
Tooltip:"[Function] Alt Air,,  [Ex. Aircraft] Mooney,,  [Part Name] Switch_Alt_Air,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--4..
		button Switch_Alt_Field "Switch_Alt_Fielr" width: 136 
Tooltip:"[Function] Alt Field,,  [Ex. Aircraft] Extra,,  [Part Name] Switch_Alt_Field,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--5..
		button Switch_Master_Alternator_ "Switch_Master_Alternator" width: 136 
Tooltip:"[Function] Alternator ,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Switch_Master_Alternator,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--6..
		button Switch_Master_Alternator "Switch_Master_Alternator#" width: 136
Tooltip:"[Function] Alternator,,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Master_Alternator#,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--7..
		button Switch_Anti_Ice "Switch_Anti_Ice" width: 136 
Tooltip:"[Function] Anti-Ice,,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Anti_Ice,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--8..
		button Switch_Anti_Ice_Structure "Switch_Anti_Ice_Structure" width: 136 
Tooltip:"[Function] Anti-Ice (Caravan Specific),,  [Ex. Aircraft] C208B,,  [Part Name] Switch_Anti_Ice_Structure,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--9..
		button Switch_Anti_Ice_Prop "Switch_Anti_Ice_Prop" width: 136 
Tooltip:"[Function] Anti-Ice Prop,,  [Ex. Aircraft] Mooney,,  [Part Name] Switch_Anti_Ice_Prop,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"
	--10..
		button Switch_Audio_Both "Switch_Audio_Both" width: 136 
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Both,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--11..
		button Switch_Audio_Com1 "Switch_Audio_Com1" width: 136 
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Com1,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--12..
		button Switch_Audio_Com2 "Switch_Audio_Com2" width: 136 
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Com2,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--13..
		button Switch_Audio_Nav1 "Switch_Audio_Nav1" width: 136
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Nav1,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--14..
		button Switch_Audio_Nav2 "Switch_Audio_Nav2" width: 136 
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Nav2,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--15..
		button Switch_Audio_Marker "Switch_Audio_Marker" width: 136 
Tooltip:"[Function] Audio Panel,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_Marker,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--16..
		button Switch_Audio_DME "Switch_Audio_DME" width: 136
Tooltip:"[Function] Audio Pane,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_DME,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--17..
		button Switch_Audio_ADF "Switch_Audio_ADF" width: 136
Tooltip:"[Function] Audio Pane,,  [Ex. Aircraft] Kingair,,  [Part Name] Switch_Audio_ADF,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--18..
		button Switch_Auto_Brake "Switch_Auto_Brake" width: 136
Tooltip:"[Function] Auto Brake,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_Auto_Brake,,  [PARAMETERS] Key 0 = RTO, Key 20 = Off, Key 40 = 1, Key 60 = 2, Key 80 = 3, Key 100 = Max"

	--19..
		button Switch_Auto_Pilot "Switch_Auto_Pilot" width: 136 
Tooltip:"[Function] Auto Pilot,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_Auto_Pilot,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--20..
		button Switch_Auto_Throttle "Switch_Auto_Throttle" width: 136 
Tooltip:"[Function] Auto Throttle,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_Auto_Throttle,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--21..
		button Switch_Autofeather "Switch_Autofeather" width: 136
Tooltip:"[Function] Autofeather,,  [Ex. Aircraft] Kingair 350,,  [Part Name] Switch_Autofeather,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--22..
		button Switch_Avionics_Master "Switch_Avionics_Master" width: 136 
Tooltip:"[Function] Avionics Master,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Switch_Avionics_Master,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--23..
		button Switch_Master_Battery "Switch_Master_Battery" width: 136
Tooltip:"[Function] Battery,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Switch_Master_Battery,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--24..
		button Switch_Master_Battery_Alternator "Switch_Master_Battery_Alternator" width: 175
Tooltip:"[Function] Battery+Alternator,,  [Ex. Aircraft] Bell Helicopter,,  [Part Name] Switch_Master_Battery_Alternator,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--25..
		button Switch_Beacon_Light "Switch_Beacon_Light" width: 136 
Tooltip:"[Function] Beacon Light,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Beacon_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--26..
		button Lever_Carb_Heat "Lever_Carb_Heat#" width: 136 
Tooltip:"[Function] Carb Heat,,  [Ex. Aircraft] DC3,,  [Part Name] Lever_Carb_Heat#,,  [PARAMETERS] Key 0 = Off, Key 100 = On"

	--27..
		button Switch_Clutch "Switch_Clutch" width: 136
Tooltip:"[Function] Clutch (Helicopter Specific),,  [Ex. Aircraft] R22,,  [Part Name] Switch_Clutch,,  [PARAMETERS] Key 0 = Off,  Key 50 = On"

	--28..
		button Lever_Collective "Lever_Collective" width: 136 
Tooltip:"[Function] Collective Arm,,  [Ex. Aircraft] Bell\Robinson,,  [Part Name] Lever_Collective,,  [PARAMETERS] Key 0 = Control Down (No Rotor Pitch), Key 100 = Control Up (Max Rotor Pitch)" across:3

	--29..
		button Lever_Collective_Handle "Lever_Collective_Handle" width: 136 
Tooltip:"[Function] Collective Throttle,,  [Ex. Aircraft] Bell\Robinson,,  [Part Name] Lever_Collective_Handle,,  [PARAMETERS] Key 0 =  Throttle Closed, Key 100 = Throttle Open"

	--30..
		button Lever_Condition "Lever_Condition" width: 136 
Tooltip:"[Function] Condition Lever,,  [Ex. Aircraft] Caravan,,  [Part Name] Lever_Condition,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%"

	--31..
		button Lever_Condition_ "Lever_Condition#" width: 136 
Tooltip:"[Function] Condition Lever,,  [Ex. Aircraft] Kingair 350,,  [Part Name] Lever_Condition#,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%" across:2

	--32..
		button Lever_Cowl_Flaps "Lever_Cowl_Flaps#" width: 136 
Tooltip:"[Function] Cowl Flap,,  [Ex. Aircraft] Beech Baron,,  [Part Name] Lever_Cowl_Flaps#,,  [PARAMETERS] Key 0 =  Closed,  Key 100 = Open"

	--33..
		button Lever_Cowl_Flaps_Top_Open "Lever_Cowl_Flaps_Top_Open" width: 175 
Tooltip:"[Function] Cowl Flap,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Cowl_Flaps_Top_Open,,  [PARAMETERS] Key 0 =  Closed,  Key 100 = Open  (Mouse Areas Reversed)"

	--34..
		button Rocker_Cowl_Flap "Rocker_Cowl_Flap" width: 136 
Tooltip:"[Function] Cowl Flap Switch,,  [Ex. Aircraft] Mooney,,  [Part Name] Rocker_Cowl_Flap,,  [PARAMETERS] Key 0 =  Open,  Key 25 = Neutral, Key 50 = Closed" across:3

	--35..
		button Rocker_Elevator_Trim "Rocker_Elevator_Trim" width: 136 
Tooltip:"[Function] Elevator Switch,,  [Ex. Aircraft] Mooney,,  [Part Name] Rocker_Elevator_Trim,,  [PARAMETERS] Key 0 =  Trim Down, Key 25 = Neutral, Key 50 = Trim Up"

	--36..
		button Lever_Trimtab_Elevator "Lever_Trimtab_Elevator" width: 136 
Tooltip:"[Function] Elevator Trim,,  [Ex. Aircraft] Cessna Caravan,,  [Part Name] Lever_Trimtab_Elevator,,  [PARAMETERS] Axis (-X Driven)"

	--37..
		button Lever_Trimtab_Elevator_Trimotor "Lever_Trimtab_Elevator_Trimotor" width: 175
Tooltip:"[Function] Elevator Trim,,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Lever_Trimtab_Elevator_Trimotor,,  [PARAMETERS] Key 0 =  Nose Up, Key 50 = Neutral, Key 100 = Nose Down" across:2

	--38..
		button Lever_Trimtab_Elevator_Key "Lever_Trimtab_Elevator_Key" width: 175 
Tooltip:"[Function] Elevator Trim (lever),,  [Ex. Aircraft] Kingair 352,,  [Part Name] Lever_Trimtab_Elevator_Key,,  [PARAMETERS] Key 0 = Max Up, Key 50 = No Trim, Key 100 = Max Down"

	--39..
		button Trimtab_Elevator_Key_Horizontal "Trimtab_Elevator_Key_Horizontal" width: 175 
Tooltip:"[Function] Elevator Trim Indicator,,  [Ex. Aircraft] Schweizer,,  [Part Name] Trimtab_Elevator_Key_Horizontal,,  [PARAMETERS] Key 0 =  Nose Up, Key 50 = Neutral, Key 100 = Nose Down" across:2

	--40..
		button Trimtab_Elevator_Key_Spirit "Trimtab_Elevator_Key_Spirit" width: 175 
Tooltip:"[Function] Elevator Trim Indicator,,  [Ex. Aircraft] Spirit,,  [Part Name] Trimtab_Elevator_Key_Spirit,,  [PARAMETERS] Key 0 =  Nose Down, Key 50 = Neutral, Key 100 = Nose Up" 

	--41..
		button Lever_Emergency_Power "Lever_Emergency_Power" width: 136 
Tooltip:"[Function] Emergency Power,,  [Ex. Aircraft] Caravan,,  [Part Name] Lever_Emergency_Power,,  [PARAMETERS] Key 0 = 0%, Key 100 = 100%"across:3

	--42..
		button Lever_Flap "Lever_Flap" width: 136 
Tooltip:"[Function] Flaps,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Lever_Flap,,  [PARAMETERS] Key 0 =  No Deflection, Key 100 = Max Deflection"

	--43..
		button Rocker_Flaps "Rocker_Flaps" width: 136 
Tooltip:"[Function] Flaps Switch,,  [Ex. Aircraft] Mooney,,  [Part Name] Rocker_Flaps,,  [PARAMETERS] Key 0 =  Flaps Down, Key 25 = Neutral,  Key 50 = Flaps Up" 

	--44..
		button Switch_Flight_Director "Switch_Flight_Director" width: 136 
Tooltip:"[Function] Flight Director,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_Flight_Director,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--45..
		button Switch_Fuel_Boost "Switch_Fuel_Boost" width: 136 
Tooltip:"[Function] Fuel Boost Pump,,  [Ex. Aircraft] Extra 300s,,  [Part Name] Switch_Fuel_Boost,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--46..
		button Switch_Boost_Pump0 "Switch_Boost_Pump0" width: 136 
Tooltip:"[Function] Fuel Boost Pump,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Boost_Pump0,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--47..
		button Switch_Boost_Pump1 "Switch_Boost_Pump1" width: 136 
Tooltip:"[Function] Fuel Boost Pump,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Boost_Pump1,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--48..
		button Switch_Fuel_Crossfeed "Switch_Fuel_Crossfeed" width: 136 
Tooltip:"[Function] Fuel Crossfeed,,  [Ex. Aircraft] Kingair 350,,  [Part Name] Switch_Fuel_Crossfeed,,  [PARAMETERS] Key 0 =  Left, Key 25 = Off, Key 50 = Right"

	--49..
		button Lever_Fuel_Crossfeed "Lever_Fuel_Crossfeed" width: 136 
Tooltip:"[Function] Fuel Crossfeed,,  [Ex. Aircraft] Dehavilland Comet,,  [Part Name] Lever_Fuel_Crossfeed,,  [PARAMETERS] Key 0 =  Closed, Key 100 = Open"

	--50..
		button Lever_Fuel_Cutoff "Lever_Fuel_Cutoff" width: 136 
Tooltip:"[Function] Fuel Cutoff,,  [Ex. Aircraft] Piper Cub,,  [Part Name] Lever_Fuel_Cutoff,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--51..
		button Lever_Fuel_Cutoff_ "Lever_Fuel_Cutoff# " width: 136 
Tooltip:"[Function] Fuel Cutoff,,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] Lever_Fuel_Cutoff#       (0-3),,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--52..
		button Mixture_Fuel_Cutoff "Mixture_Fuel_Cutoff# " width: 136 
Tooltip:"[Function] Fuel Cutoff,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Mixture_Fuel_Cutoff#        (0-3),,  [PARAMETERS] Key 0 =  Cutoff, Key 100 = Run"

	--53..
		button Switch_Fuel_Pump "Switch_Fuel_Pump" width: 136 
Tooltip:"[Function] Fuel Pump,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Fuel_Pump,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:3

	--54..
		button Switch_Fuel_Pump_ "Switch_Fuel_Pump#" width: 136 
Tooltip:"[Function] Fuel Pump (Multi Engine),,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Fuel_Pump#          (0-3),,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--55..
		button Indicator_Fuel_Quantity "Indicator_Fuel_Quantity" width: 136 
Tooltip:"[Function] Fuel Quantity Bobber,,  [Ex. Aircraft] Piper Cub,,  [Part Name] Indicator_Fuel_Quantity,,  [PARAMETERS] Key 0 =  Empty, Key 100 = Full"

	--56..
		button Switch_Trimotor_Fuel_Quantity_Selector "Switch_Trimotor_Fuel_Quantity_Selector" width: 200 
Tooltip:"[Function] Fuel Quantity Indicator Selector,,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Trimotor_Fuel_Quantity_Selector,,  [PARAMETERS] Key 0 = Left, Key 25 = Center,  Key 50 = Right" 

	--57..
		button Switch_Fuel_Selector_LBR "Switch_Fuel_Selector_LBR" width: 145
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Fuel_Selector_LBR,,  [PARAMETERS] Key 0 =  Left, Key 25 = Both,  Key 50 = Right"across:2

	--58..
		button Switch_Fuel_Selector_LBR0 "Switch_Fuel_Selector_LBR0" width: 145 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] C182,,  [Part Name] Switch_Fuel_Selector_LBR0,,  [PARAMETERS] Key 0 =  Left, Key 25 = Both,  Key 50 = Right, Key 75 = Off"

	--59..
		button Lever_Fuel_Selector_LOR "Lever_Fuel_Selector_LOR" width: 145 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Mooney,,  [Part Name] Lever_Fuel_Selector_LOR,,  [PARAMETERS] Key 0 =  Left, Key 25 = Off,  Key 50 = Right" across:2

	--60..
		button Lever_Fuel_Selector_Spirit "Lever_Fuel_Selector_Spirit" width: 145 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Spirit,,  [Part Name] Lever_Fuel_Selector_Spirit,,  [PARAMETERS] Key 0 =  Off, Key 25 = Center, Key 50 = Center2, Key 75 = Center3" 

	--61..
		button Lever_Fuel_Selector_Comet "Lever_Fuel_Selector_Comet#" width: 155 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Comet,,  [Part Name] Lever_Fuel_Selector_Comet#,,  [PARAMETERS] Key 0 =  Main, Key 25 = Off, Key 50 = Isolate, Key 75 = Aux"across:2

	--62..
		button Lever_Fuel_Selector_DC3 "Lever_Fuel_Selector_DC3#" width: 155 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] DC3,,  [Part Name] Lever_Fuel_Selector_DC3#,,  [PARAMETERS] Key 0 =  Off, Key 25 = Right, Key 50 =Left, Key 75 = Aux" 

	--63..
		button Lever_Fuel_Selector_Vega "Lever_Fuel_Selector_Vega" width: 155 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Lockheed Vega,,  [Part Name] Lever_Fuel_Selector_Vega,,  [PARAMETERS] Key 0 =  Off, Key 20 = Left, Key 40 =Center, Key 60 = Right, Key 80 = Main, Key 100 = Aux"across:2

	--64..
		button Lever_Fuel_Selector_Trimotor0 "Lever_Fuel_Selector_Trimotor0" width: 155 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Lever_Fuel_Selector_Trimotor0,,  [PARAMETERS] Key 0 =  Off, Key 25 = Left, Key 50 =Right, Key 75 = Reserve"

	--65..
		button Lever_Fuel_Selector_Trimotor2 "Lever_Fuel_Selector_Trimotor2" width: 200 
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Lever_Fuel_Selector_Trimotor2,,  [PARAMETERS] Key 0 =  Off, Key 25 = Left, Key 50 =Right, Key 75 = Reserve" across:2

	--66..
		button Lever_Fuel_Selector_Trimotor_Center "Lever_Fuel_Selector_Trimotor_Center" width: 200
Tooltip:"[Function] Fuel Selector,,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Lever_Fuel_Selector_Trimotor_Center,,  [PARAMETERS] Key 0 =  Off, Key 25 = On"

	--67..
		button Switch_Generator "Switch_Generator#" width: 155 
Tooltip:"[Function] Generator,,  [Ex. Aircraft] Kingair 350,,  [Part Name] Switch_Generator#,,  [PARAMETERS] Key 0 =  Off, Key 25 = On"across:2

	--68..
		button Switch_Generator_Starter "Switch_Generator_Starter#" width: 155 
Tooltip:"[Function] Generator+Starter,,  [Ex. Aircraft] Boeing 737,,  [Part Name] Switch_Generator_Starter#,,  [PARAMETERS] Key 0 =  Off, Key 25 = Gen, Key 50 = Start"

	--69..
		button Switch_Governor "Switch_Governor" width: 155 
Tooltip:"[Function] GOV,,  [Ex. Aircraft] Robinson,,  [Part Name] Switch_Governor,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--70..
		button Switch_GOV_RPM "Switch_GOV_RPM" width: 155 
Tooltip:"[Function] GOV\RPM,,  [Ex. Aircraft] Bell 206,,  [Part Name] Switch_GOV_RPM,,  [PARAMETERS] Key 0 =  Increase, Key 25 = Neutral, Key 50 = Decrease"

	--71..
		button Switch_Master_Ignition "Switch_Master_Ignition" width: 155 
Tooltip:"[Function] Ignition,,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Master_Ignition,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--72..
		button Lever_Inertial_Seperator "Lever_Inertial_Seperator" width: 155 
Tooltip:"[Function] Inertial Seperator,,  [Ex. Aircraft] Caravan,,  [Part Name] Lever_Inertial_Seperator,,  [PARAMETERS] Key 0 =  Off, Key 100= On"

	--73..
		button Lever_Landing_Gear "Lever_Landing_Gear" width: 155 
Tooltip:"[Function] Landing Gear ,,  [Ex. Aircraft] Boeing 737,,  [Part Name] Lever_Landing_Gear,,  [PARAMETERS] Key 0 =  Gear Up, Key 100 = Gear Down"across:2

	--74..
		button Lever_Landing_Gear_Boeing747 "Lever_Landing_Gear_Boeing747" width: 180
Tooltip:"[Function] Landing Gear (747 Specific),,  [Ex. Aircraft] Boeing 747,,  [Part Name] Lever_Landing_Gear_Boeing747,,  [PARAMETERS] Key 0 =  Gear Up, Key 50 = Off, Key 100 = Gear Down"

	--75..
		button Switch_Landing_Light "Switch_Landing_Light" width: 155 
Tooltip:"[Function] Landing Light,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Landing_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--76..
		button switch_magneto "switch_magneto#" width: 155 
Tooltip:"[Function] Magneto (Jenny Specific),,  [Ex. Aircraft] Curtiss Jenny,,  [Part Name] switch_magneto#,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--77..
		button Switch_Ignition_Magnetos_DC3 "Switch_Ignition_Magnetos_DC3" width: 175 
Tooltip:"[Function] Magnetos (DC3 Specific),,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Ignition_Magnetos_DC3,,  [PARAMETERS] Key 0 =  Off, Key 25 =  L, Key 50 = R, Key 75 =  Both" across:2

	--78..
		button Switch_Ignition_Magnetos0_DC3 "Switch_Ignition_Magnetos0_DC3" width: 175 
Tooltip:"[Function] Magnetos (DC3 Specific),,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Ignition_Magnetos0_DC3,,  [PARAMETERS] Key 0 =  Off, Key 25 =  L, Key 50 = R, Key 75 =  Both"

	--79..
		button Switch_Ignition_Magnetos1_DC3 "Switch_Ignition_Magnetos1_DC3" width: 175 
Tooltip:"[Function] Magnetos (DC3 Specific),,  [Ex. Aircraft] Douglas DC3,,  [Part Name] Switch_Ignition_Magnetos1_DC3,,  [PARAMETERS] Key 0 =  Off, Key 25 =  L, Key 50 = R, Key 75 =  Both" across:2

	--80..
		button switch_left_magneto0 "switch_left_magneto0" width: 155 
Tooltip:"[Function] Magnetos (Vimy Specific),,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] switch_left_magneto0,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--81..
		button switch_left_magneto1 "switch_left_magneto1" width: 155 
Tooltip:"[Function] Magnetos (Vimy Specific),,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] switch_left_magneto1,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--82..
		button switch_right_magneto0 "switch_right_magneto0" width: 155 
Tooltip:"[Function] Magnetos (Vimy Specific),,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] switch_right_magneto0,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--83..
		button switch_right_magneto1 "switch_right_magneto1" width: 155 
Tooltip:"[Function] Magnetos (Vimy Specific),,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] switch_right_magneto1,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--84..
		button Switch_Ignition_Magnetos "Switch_Ignition_Magnetos" width: 155 
Tooltip:"[Function] Magnetos+Ignition,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Ignition_Magnetos,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both, Key 100 = Start"

	--85..
		button Switch_Ignition_Magnetos__ "Switch_Ignition_Magnetos#" width: 155 
Tooltip:"[Function] Magnetos+Ignition (Multi Eng.),,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Ignition_Magnetos#        (0-3),,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both, Key 100 = Start" across:2

	--86..
		button Switch_Ignition_Magnetos_Spirit "Switch_Ignition_Magnetos_Spirit" width: 175 
Tooltip:"[Function] Magnetos+Ignition (Spirit Spec.),,  [Ex. Aircraft] Spirit,,  [Part Name] Switch_Ignition_Magnetos_Spirit,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both, Key 100 = Start  (Reverse Mouse Movements)"

	--87..
		button Switch_Ignition_Magnetos_Trimotor "Switch_Ignition_Magnetos_Trimotor" width: 200 
Tooltip:"[Function] Magnetos+Ignition (Tri. Spec.),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Ignition_Magnetos_Trimotor,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both" across:2

	--88..
		button Switch_Ignition_Magnetos0_Trimotor "Switch_Ignition_Magnetos0_Trimotor" width: 200 
Tooltip:"[Function] Magnetos+Ignition (Tri. Spec.),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Ignition_Magnetos0_Trimotor,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both"

	--89..
		button Switch_Ignition_Magnetos1_Trimotor "Switch_Ignition_Magnetos1_Trimotor" width: 200 
Tooltip:"[Function] Magnetos+Ignition (Tri. Spec.),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Ignition_Magnetos1_Trimotor,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both" across:2

    --90..
		button Switch_Ignition_Magnetos2_Trimotor "Switch_Ignition_Magnetos2_Trimotor" width: 200
Tooltip:"[Function] Magnetos+Ignition (Tri. Spec.),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Ignition_Magnetos2_Trimotor,,  [PARAMETERS] Key 0 =  Off, Key 25 =  R, Key 50 = L, Key 75 =  Both"

	--91..
		button Lever_Mixture "Lever_Mixture#" width: 155 
Tooltip:"[Function] Mixture,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Mixture#,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%" across:2

	--92..
		button Lever_Mixture0_Reversed "Lever_Mixture0_Reversed" width: 155 
Tooltip:"[Function] Mixture (Comet Specific),,  [Ex. Aircraft] Dehavilland Comet,,  [Part Name] Lever_Mixture0_Reversed,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%  (Reversed Mouse Areas)"

	--93..
		button Lever_Mixture1_Reversed "Lever_Mixture1_Reversed" width: 155 
Tooltip:"[Function] Mixture (Comet Specific),,  [Ex. Aircraft] Dehavilland Comet,,  [Part Name] Lever_Mixture1_Reversed,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%  (Reversed Mouse Areas)" across:2

	--94..
		button Switch_Nav_Light "Switch_Nav_Light" width: 155 
Tooltip:"[Function] Nav Light,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Nav_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--95..
		button Switch_NAV_GPS "Switch_NAV_GPS" width: 155 
Tooltip:"[Function] NAV\GPS,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_NAV_GPS,,  [PARAMETERS] Key 0 =  Nav, Key 50 = GPS" across:2

	--96..
		button Switch_Panel_Light "Switch_Panel_Light" width: 155 
Tooltip:"[Function] Panel Light,,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Panel_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--97..
		button Lever_Parking_Brake "Lever_Parking_Brake" width: 155 
Tooltip:"[Function] Parking Brake,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Parking_Brake,,  [PARAMETERS] Key 0 =  Off, Key 100 = On" across:2

	--98..
		button Switch_Pedal_L "Switch_Pedal_L" width: 155 
Tooltip:"[Function] Pedal Left (Switch),,  [Ex. Aircraft] Extra,,  [Part Name] Switch_Pedal_L,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--99..
		button Switch_Pedal_R "Switch_Pedal_R" width: 155 
Tooltip:"[Function] Pedal Right (Switch),,  [Ex. Aircraft] Extra,,  [Part Name] Switch_Pedal_R,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--100..
		button Lever_Pedals_L_R "Lever_Pedals_L_R" width: 155 
Tooltip:"[Function] Pedals,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Pedals_L_R,,  [PARAMETERS] Key 0 = Left Pedal In \ Right Pedal Out, Key 50 = Neutral, Key 100 = Right Pedal In \ Left Pedal Out"

	--101..
		button Periscope_Tube "Periscope_Tube" width: 155 
Tooltip:"[Function] Periscope,,  [Ex. Aircraft] Spirit ,,  [Part Name] Periscope_Tube,,  [PARAMETERS] Key 0 =  Closed, Key 100 = Open" across:2

	--102..
		button Switch_Pitot_Heat "Switch_Pitot_Heat" width: 155 
Tooltip:"[Function] Pitot Heat,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Pitot_Heat,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--103..
		button Lever_Primer "Lever_Primer" width: 155 
Tooltip:"[Function] Primer (lever),,  [Ex. Aircraft] Piper Cub,,  [Part Name] Lever_Primer,,  [PARAMETERS] Key 0 =  In, Key 100 = Out" across:2

	--104..
		button Lever_Primer_Trimotor "Lever_Primer_Trimotor" width: 155 
Tooltip:"[Function] Primer (lever),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Lever_Primer_Trimotor,,  [PARAMETERS] Key 0 =  In, Key 100 = Out"

	--105..
		button Switch_Trimotor_Engine_Primer_Selector "Switch_Trimotor_Engine_Primer_Selector" width: 200 
Tooltip:"[Function] Primer (selector),,  [Ex. Aircraft] Ford Trimotor,,  [Part Name] Switch_Trimotor_Engine_Primer_Selector,,  [PARAMETERS] Key 0 = Left, Key 50= Center, Key 100 = Right" across:2

	--106..
		button Switch_Primer "Switch_Primer#" width: 155 
Tooltip:"[Function] Primer (switch),,  [Ex. Aircraft] DC3,,  [Part Name] Switch_Primer#,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--107..
		button Lever_Prop_Feather "Lever_Prop_Feather#" width: 155 
Tooltip:"[Function] Prop Feather,,  [Ex. Aircraft] Douglas_DC3,,  [Part Name] Lever_Prop_Feather#,,  [PARAMETERS] Key 0 = Off, Key 100 = On" across:2

	--108..
		button Lever_Prop_Pitch "Lever_Prop_Pitch#" width: 155 
Tooltip:"[Function] Prop Pitch,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Prop_Pitch#,,  [PARAMETERS] Key 0 = 100%, Key 100 = 0%"

	--109..
		button Switch_Prop_Sync "Switch_Prop_Sync" width: 155 
Tooltip:"[Function] Prop Sync,,  [Ex. Aircraft] Beech Baron,,  [Part Name] Switch_Prop_Sync,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--110..
		button Switch_Recog_Light "Switch_Recog_Light" width: 155 
Tooltip:"[Function] Recognition Light,,  [Ex. Aircraft] Mooney,,  [Part Name] Switch_Recog_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--111..
		button Lever_R22_Rotor_Trim "Lever_R22_Rotor_Trim" width: 155 
Tooltip:"[Function] Right Trim (R22 Specific),,  [Ex. Aircraft] R22,,  [Part Name] Lever_R22_Rotor_Trim,,  [PARAMETERS] Key 0 = off,  Key 100 = on" across:2

	--112..
		button Lever_Rotor_Brake "Lever_Rotor_Brake" width: 155 
Tooltip:"[Function] Rotor Brake,,  [Ex. Aircraft] Robinson R22,,  [Part Name] Lever_Rotor_Brake,,  [PARAMETERS] Key 0 =  Off, Key 100 = On"

	--113..
		button Rocker_Rudder_Trim "Rocker_Rudder_Trim" width: 155 
Tooltip:"[Function] Rudder Switch,,  [Ex. Aircraft] Mooney,,  [Part Name] Rocker_Rudder_Trim,,  [PARAMETERS] Key 0 =  Trim Left, Key 25 = Neutral, Key 50 = Trim Right" across:2

	--114..
		button Lever_Trimtab_Rudder "Lever_Trimtab_Rudder" width: 155 
Tooltip:"[Function] Rudder Trim,,  [Ex. Aircraft] Cessna Caravan,,  [Part Name] Lever_Trimtab_Rudder,,  [PARAMETERS] Axis (-X Driven)"

	--115..
		button Lever_Trimtab_Rudder_Key "Lever_Trimtab_Rudder_Key" width: 155 
Tooltip:"[Function] Rudder Trim (knob),,  [Ex. Aircraft] Kingair 350,,  [Part Name] Lever_Trimtab_Rudder_Key,,  [PARAMETERS] Key 0 = Max Left, Key 50 = No Trim, Key 100 = Max Right" across:2

	--116..
		button Switch_Smoke "Switch_Smoke" width: 155 
Tooltip:"[Function] Smoke,,  [Ex. Aircraft] Extra,,  [Part Name] Switch_Smoke,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--117..
		button Lever_Speed_Brake "Lever_Speed_Brake" width: 155 
Tooltip:"[Function] Speed_Brake,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Lever_Speed_Brake,,  [PARAMETERS] Key 0 =  Down, Key 100 = Up" across:2

	--118..
		button Switch_Standby_Vacuum "Switch_Standby_Vacuum" width: 155 
Tooltip:"[Function] Standby Vac,,  [Ex. Aircraft] Mooney,,  [Part Name] Switch_Standby_Vacuum,,  [PARAMETERS] Key 0 =  Off, Key 50 = On"

	--119..
		button Switch_Starter "Switch_Starter#" width: 155 
Tooltip:"[Function] Starter,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Switch_Starter#              (0-3),,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--120..
		button Rocker_Starter "Rocker_Starter" width: 155 
Tooltip:"[Function] Starter (3 Way Switch),,  [Ex. Aircraft] DC3,,  [Part Name] Rocker_Starter,,  [PARAMETERS] Key 0 =  Left On, Key 25 = Neutral, Key 50 Right On"

	--121..
		button Switch_Strobe_Light "Switch_Strobe_Light" width: 155 
Tooltip:"[Function] Strobe Light,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Strobe_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--122..
		button Lever_Tailwheel_Lock "Lever_Tailwheel_Lock" width: 155 
Tooltip:"[Function] Tailwheel Lock,,  [Ex. Aircraft] Dehavilland Comet,,  [Part Name] Lever_Tailwheel_Lock,,  [PARAMETERS] Key 0 = Unlocked, Key 100 = Locked"

	--123..
		button Switch_Taxi_Light "Switch_Taxi_Light" width: 155 
Tooltip:"[Function] Taxi Light,,  [Ex. Aircraft] Cessna 172,,  [Part Name] Switch_Taxi_Light,,  [PARAMETERS] Key 0 =  Off, Key 50 = On" across:2

	--124..
		button Lever_Throttle "Lever_Throttle#" width: 155 
Tooltip:"[Function] Throttle Lever,,  [Ex. Aircraft] Boeing 777,,  [Part Name] Lever_Throttle#,,  [PARAMETERS] Key 0 = Max, Key 50 = Idle,  Key 100 = Max Reverser   Engines without reversers are only 0-50"

	--125..
		button Lever_Throttle_Wright "Lever_Throttle_Wright" width: 155 
Tooltip:"[Function] Throttle Lever,,  [Ex. Aircraft] Wright Flyer,,  [Part Name] Lever_Throttle_Wright,,  [PARAMETERS] Key 0 = Off, Key 50 = On" across:2

	--126..
		button Lever_Vicker_Throttle "Lever_Vicker_Throttle" width: 155 
Tooltip:"[Function] Vimy Throttle,,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] Lever_Vicker_Throttle,,  [PARAMETERS] Key 0 = 100%, Key 50 = 0%"

	--127..
		button Lever_Vicker_Throttle_Differential "Lever_Vicker_Throttle_Differential" width: 155 
Tooltip:"[Function] Vimy Throttle Differential,,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] Lever_Vicker_Throttle_Differential,,  [PARAMETERS] Key 0 = Max Engine0, Key 25 = Neutral, Key 50 = Max Engine1" across:2

	--128..
		button Lever_Vicker_Throttle_Diff_Left "Lever_Vicker_Throttle_Diff_Left" width: 155 
Tooltip:"[Function] Vimy Throttle Differential,,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] Lever_Vicker_Throttle_Diff_Left,,  [PARAMETERS] Key 0 = 100% Power, Key 50 = 0% Power"

	--129..
		button Lever_Vicker_Throttle_Diff_Right "Lever_Vicker_Throttle_Diff_Right" width: 155 
Tooltip:"[Function] Vimy Throttle Differential,,  [Ex. Aircraft] Vickers Vimy,,  [Part Name] Lever_Vicker_Throttle_Diff_Right,,  [PARAMETERS] Key 0 = 100% Power, Key 50 = 0% Power" across:2

	--130..
		button Lever_Water_Rudder "Lever_Water_Rudder" width: 155 
Tooltip:"[Function] Water Rudder,,  [Ex. Aircraft] ,,  [Part Name] Lever_Water_Rudder,,  [PARAMETERS] Key 0 =  Off, Key 100 = On"

	--131..
		button Lever_Wobble_Pump "Lever_Wobble_Pump" width: 155 
Tooltip:"[Function] Wobble Pump,,  [Ex. Aircraft] Lockheed Vega,,  [Part Name] Lever_Wobble_Pump,,  [PARAMETERS] Key 0 -100 is one cycle" across:2

	--132..
		button Lever_Stick_Fore_Aft "Lever_Stick_Fore_Aft" width: 155 
Tooltip:"[Function] Yoke\Stick,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Stick_Fore_Aft,,  [PARAMETERS] Key 0 = Max Forward or In, Key 50 = Neutral, Key 100 = Max Backward or Out"

	--133..
		button Lever_Stick_L_R "Lever_Stick_L_R" width: 155 
Tooltip:"[Function] Yoke\Stick,,  [Ex. Aircraft] Cessna 182,,  [Part Name] Lever_Stick_L_R,,  [PARAMETERS] Key 0 = Left, Key 50 = Neutral, Key 100 = Max Right" across:2
	    
---------------------------------------------------------------------------------------------------------------------------------

	--1..
				on Lever_Trimtab_Aileron pressed do
                (
 					$.name = "Lever_Trimtab_Aileron"
			    	)				
	--2..
				on Lever_Trimtab_Aileron_Key pressed do
                (
 					$.name = "Lever_Trimtab_Aileron_Key"
			    	)					
	--3..       
				on Switch_Alt_Air pressed do
				(
					$.name = "Switch_Alt_Air"
					)
	--4..
				on Switch_Alt_Field pressed do
                (
 					$.name = "Switch_Alt_Field"
			    	)				
	--5..
				on Switch_Master_Alternator_ pressed do
                (
 					$.name = "Switch_Master_Alternator"
			    	)					
	--6..       
				on Switch_Master_Alternator pressed do
				(
					$.name = "Switch_Master_Alternator#"
					)
	--7..
				on Switch_Anti_Ice pressed do
                (
 					$.name = "Switch_Anti_Ice"
			    	)				
	--8..       
				on Switch_Anti_Ice_Structure pressed do
				(
					$.name = "Switch_Anti_Ice_Structure"
					)	
	--9..       
				on Switch_Anti_Ice_Prop pressed do
				(
					$.name = "Switch_Anti_Ice_Prop"
					)
	--10..
				on Switch_Audio_Both pressed do
                (
 					$.name = "Switch_Audio_Both"
			    	)				
	--11..
				on Switch_Audio_Com1 pressed do
                (
 					$.name = "Switch_Audio_Com1"
			    	)					
	--12..       
				on Switch_Audio_Com2 pressed do
				(
					$.name = "Switch_Audio_Com2"
					)
	--13..
				on Switch_Audio_Nav1 pressed do
                (
 					$.name = "Switch_Audio_Nav1"
			    	)				
	--14..
				on Switch_Audio_Nav2 pressed do
                (
 					$.name = "Switch_Audio_Nav2"
			    	)					
	--15..       
				on Switch_Audio_Marker pressed do
				(
					$.name = "Switch_Audio_Marker"
					)
	--16..
				on Switch_Audio_DME pressed do
                (
 					$.name = "Switch_Audio_DME"
			    	)				
	--17..
				on Switch_Audio_ADF pressed do
                (
 					$.name = "Switch_Audio_ADF"
			    	)					
	--18..       
				on Switch_Auto_Brake pressed do
				(
					$.name = "Switch_Auto_Brake"
					)
	--19..
				on Switch_Auto_Pilot pressed do
                (
 					$.name = "Switch_Auto_Pilot"
			    	)				
	--20..
				on Switch_Auto_Throttle pressed do
                (
 					$.name = "Switch_Auto_Throttle"
			    	)					
	--21..       
				on Switch_Autofeather pressed do
				(
					$.name = "Switch_Autofeather"
					)
	--22..
				on Switch_Avionics_Master pressed do
                (
 					$.name = "Switch_Avionics_Master"
			    	)				
	--23..
				on Switch_Master_Battery pressed do
                (
 					$.name = "Switch_Master_Battery"
			    	)					
	--24..       
				on Switch_Master_Battery_Alternator pressed do
				(
					$.name = "Switch_Master_Battery_Alternator"
					)				
	--25..
				on Switch_Beacon_Light pressed do
                (
 					$.name = "Switch_Beacon_Light"
			    	)				
	--26..
				on Lever_Carb_Heat pressed do
                (
 					$.name = "Lever_Carb_Heat#"
			    	)					
	--27..       
				on Switch_Clutch pressed do
				(
					$.name = "Switch_Clutch"
					)
	--28..
				on Lever_Collective pressed do
                (
 					$.name = "Lever_Collective"
			    	)				
	--29..
				on Lever_Collective_Handle pressed do
                (
 					$.name = "Lever_Collective_Handle"
			    	)					
	--30..       
				on Lever_Condition pressed do
				(
					$.name = "Lever_Condition"
					)
	--31..
				on Lever_Condition_ pressed do
                (
 					$.name = "Lever_Condition#"
			    	)				
	--32..
				on Lever_Cowl_Flaps pressed do
                (
 					$.name = "Lever_Cowl_Flaps#"
			    	)					
	--33..       
				on Lever_Cowl_Flaps_Top_Open pressed do
				(
					$.name = "Lever_Cowl_Flaps_Top_Open"
					)
	--34..
				on Rocker_Cowl_Flap pressed do
                (
 					$.name = "Rocker_Cowl_Flap"
			    	)				
	--35..
				on Rocker_Elevator_Trim pressed do
                (
 					$.name = "Rocker_Elevator_Trim"
			    	)					
	--36..       
				on Lever_Trimtab_Elevator pressed do
				(
					$.name = "Lever_Trimtab_Elevator"
					)
	--37..
				on  Lever_Trimtab_Elevator_Trimotor pressed do
                (
 					$.name = "Lever_Trimtab_Elevator_Trimotor"
			    	)				
	--38..
				on Lever_Trimtab_Elevator_Key pressed do
                (
 					$.name = "Lever_Trimtab_Elevator_Key"
			    	)					
	--39..       
				on Trimtab_Elevator_Key_Horizontal pressed do
				(
					$.name = "Trimtab_Elevator_Key_Horizontal"
					)
	--40..
				on Trimtab_Elevator_Key_Spirit pressed do
                (
 					$.name = "Trimtab_Elevator_Key_Spirit"
			    	)				
	--41..
				on Lever_Emergency_Power pressed do
                (
 					$.name = "Lever_Emergency_Power"
			    	)					
	--42..       
				on Lever_Flap pressed do
				(
					$.name = "Lever_Flap"
					)
	--43..       
				on Rocker_Flaps pressed do
				(
					$.name = "Rocker_Flaps"
					)
	--44..
				on Switch_Flight_Director pressed do
                (
 					$.name = "Switch_Flight_Director"
			    	)				
	--45..
				on Switch_Fuel_Boost pressed do
                (
 					$.name = "Switch_Fuel_Boost"
			    	)					
	--46..       
				on Switch_Boost_Pump0 pressed do
				(
					$.name = "Switch_Boost_Pump0"
					)
	--47..
				on Switch_Boost_Pump1 pressed do
                (
 					$.name = "Switch_Boost_Pump1"
			    	)				
	--48..
				on Switch_Fuel_Crossfeed pressed do
                (
 					$.name = "Switch_Fuel_Crossfeed"
			    	)					
	--49..       
				on Lever_Fuel_Crossfeed pressed do
				(
					$.name = "Lever_Fuel_Crossfeed"
					)
	--50..
				on Lever_Fuel_Cutoff pressed do
                (
 					$.name = "Lever_Fuel_Cutoff"
			    	)				
	--51..
				on Lever_Fuel_Cutoff_ pressed do
                (
 					$.name = "Lever_Fuel_Cutoff#"
			    	)					
	--52..       
				on Mixture_Fuel_Cutoff pressed do
				(
					$.name = "Mixture_Fuel_Cutoff#"
					)
	--53..
				on Switch_Fuel_Pump pressed do
                (
 					$.name = "Switch_Fuel_Pump"
			    	)				
	--54..
				on Switch_Fuel_Pump_ pressed do
                (
 					$.name = "Switch_Fuel_Pump#"
			    	)					
	--55..       
				on Indicator_Fuel_Quantity pressed do
				(
					$.name = "Indicator_Fuel_Quantity"
					)
	--56..
				on Switch_Trimotor_Fuel_Quantity_Selector pressed do
                (
 					$.name = "Switch_Trimotor_Fuel_Quantity_Selector"
			    	)				
	--57..
				on Switch_Fuel_Selector_LBR pressed do
                (
 					$.name = "Switch_Fuel_Selector_LBR"
			    	)					
	--58..       
				on Switch_Fuel_Selector_LBR0 pressed do
				(
					$.name = "Switch_Fuel_Selector_LBR0"
					)
	--59..
				on Lever_Fuel_Selector_LOR pressed do
                (
 					$.name = "Lever_Fuel_Selector_LOR"
			    	)				
	--60..
				on Lever_Fuel_Selector_Spirit pressed do
                (
 					$.name = "Lever_Fuel_Selector_Spirit"
			    	)					
	--61..       
				on Lever_Fuel_Selector_Comet pressed do
				(
					$.name = "Lever_Fuel_Selector_Comet#"
					)
	--62..
				on Lever_Fuel_Selector_DC3 pressed do
                (
 					$.name = "Lever_Fuel_Selector_DC3#"
			    	)				
	--63..
				on Lever_Fuel_Selector_Vega pressed do
                (
 					$.name = "Lever_Fuel_Selector_Vega"
			    	)					
	--64..       
				on Lever_Fuel_Selector_Trimotor0 pressed do
				(
					$.name = "Lever_Fuel_Selector_Trimotor0"
					)
	--65..
				on Lever_Fuel_Selector_Trimotor2 pressed do
                (
 					$.name = "Lever_Fuel_Selector_Trimotor2"
			    	)				
	--66..
				on Lever_Fuel_Selector_Trimotor_Center pressed do
                (
 					$.name = "Lever_Fuel_Selector_Trimotor_Center"
			    	)					
	--67..       
				on Switch_Generator pressed do
				(
					$.name = "Switch_Generator#"
					)
	--68..
				on Switch_Generator_Starter pressed do
                (
 					$.name = "Switch_Generator_Starter#"
			    	)				
	--69..
				on Switch_Governor pressed do
                (
 					$.name = "Switch_Governor"
			    	)					
	--70..       
				on Switch_GOV_RPM pressed do
				(
					$.name = "Switch_GOV_RPM"
					)
	--71..
				on Switch_Master_Ignition pressed do
                (
 					$.name = "Switch_Master_Ignition"
			    	)				
	--72..
				on Lever_Inertial_Seperator pressed do
                (
 					$.name = "Lever_Inertial_Seperator"
			    	)					
	--73..       
				on Lever_Landing_Gear pressed do
				(
					$.name = "Lever_Landing_Gear"
					)
	--74..       
				on Lever_Landing_Gear_Boeing747 pressed do
				(
					$.name = "Lever_Landing_Gear_Boeing747"
					)
	--75..
				on Switch_Landing_Light pressed do
                (
 					$.name = "Switch_Landing_Light"
			    	)				
	--76..
				on switch_magneto pressed do
                (
 					$.name = "switch_magneto#"
			    	)					
	--77..       
				on Switch_Ignition_Magnetos_DC3 pressed do
				(
					$.name = "Switch_Ignition_Magnetos_DC3"
			)
	--78..       
				on Switch_Ignition_Magnetos0_DC3 pressed do
				(
					$.name = "Switch_Ignition_Magnetos0_DC3"
					)
	--79..
				on Switch_Ignition_Magnetos1_DC3 pressed do
                (
 					$.name = "Switch_Ignition_Magnetos1_DC3"
			    	)				
	--80..
				on switch_left_magneto0 pressed do
                (
 					$.name = "switch_left_magneto0"
			    	)					
	--81..       
				on switch_left_magneto1 pressed do
				(
					$.name = "switch_left_magneto1"
			)
	--82..       
				on switch_right_magneto0 pressed do
				(
					$.name = "switch_right_magneto0"
					)
	--83..
				on switch_right_magneto1 pressed do
                (
 					$.name = "switch_right_magneto1"
			    	)				
	--84..
				on Switch_Ignition_Magnetos pressed do
                (
 					$.name = "Switch_Ignition_Magnetos"
			    	)					
	--85..       
				on Switch_Ignition_Magnetos__ pressed do
				(
					$.name = "Switch_Ignition_Magnetos#"
			)
	--86..       
				on Switch_Ignition_Magnetos_Spirit pressed do
				(
					$.name = "Switch_Ignition_Magnetos_Spirit"
					)				
	--87..
				on Switch_Ignition_Magnetos_Trimotor pressed do
                (
 					$.name = "Switch_Ignition_Magnetos_Trimotor"
			    	)				
	--88..
				on Switch_Ignition_Magnetos0_Trimotor pressed do
                (
 					$.name = "Switch_Ignition_Magnetos0_Trimotor"
			    	)					
	--79..       
				on Switch_Ignition_Magnetos1_Trimotor pressed do
				(
					$.name = "Switch_Ignition_Magnetos1_Trimotor"
			)
	--90..       
				on Switch_Ignition_Magnetos2_Trimotor pressed do
				(
					$.name = "Switch_Ignition_Magnetos2_Trimotor"
					)
	--91..
				on Lever_Mixture pressed do
                (
 					$.name = "Lever_Mixture#"
			    	)				
	--92..
				on Lever_Mixture0_Reversed pressed do
                (
 					$.name = "Lever_Mixture0_Reversed"
			    	)					
	--93..       
				on Lever_Mixture1_Reversed pressed do
				(
					$.name = "Lever_Mixture1_Reversed"
			)
	--94..       
				on Switch_Nav_Light pressed do
				(
					$.name = "Switch_Nav_Light"
					)
	--95..
				on Switch_NAV_GPS pressed do
                (
 					$.name = "Switch_NAV_GPS"
			    	)				
	--96..
				on Switch_Panel_Light pressed do
                (
 					$.name = "Switch_Panel_Light"
			    	)					
	--97..       
				on Lever_Parking_Brake pressed do
				(
					$.name = "Lever_Parking_Brake"
			)
	--98..       
				on Switch_Pedal_L pressed do
				(
					$.name = "Switch_Pedal_L"
					)
	--99..
				on Switch_Pedal_R pressed do
                (
 					$.name = "Switch_Pedal_R"
			    	)				
	--100..
				on Lever_Pedals_L_R pressed do
                (
 					$.name = "Lever_Pedals_L_R"
			    	)					
	--101..       
				on Periscope_Tube pressed do
				(
					$.name = "Periscope_Tube"
			)
	--102..       
				on Switch_Pitot_Heat pressed do
				(
					$.name = "Switch_Pitot_Heat"
					)
	--103..
				on Lever_Primer pressed do
                (
 					$.name = "Lever_Primer"
			    	)				
	--104..
				on Lever_Primer_Trimotor pressed do
                (
 					$.name = "Lever_Primer_Trimotor"
			    	)					
	--105..       
				on Switch_Trimotor_Engine_Primer_Selector pressed do
				(
					$.name = "Switch_Trimotor_Engine_Primer_Selector"
			)
	--106..       
				on Switch_Primer pressed do
				(
					$.name = "Switch_Primer#"
					)
	--107..
				on Lever_Prop_Feather pressed do
                (
 					$.name = "Lever_Prop_Feather#"
			    	)				
	--108.
				on Lever_Prop_Pitch pressed do
                (
 					$.name = "Lever_Prop_Pitch#"
			    	)					
	--109..       
				on Switch_Prop_Sync pressed do
				(
					$.name = "Switch_Prop_Sync"
			)
	--110..       
				on Switch_Recog_Light pressed do
				(
					$.name = "Switch_Recog_Light"
					)
	--111..
				on Lever_R22_Rotor_Trim pressed do
                (
 					$.name = "Lever_R22_Rotor_Trim"
			    	)				
	--112..
				on Lever_Rotor_Brake pressed do
                (
 					$.name = "Lever_Rotor_Brake"
			    	)					
	--113..       
				on Rocker_Rudder_Trim pressed do
				(
					$.name = "Rocker_Rudder_Trim"
			)
	--114..       
				on Lever_Trimtab_Rudder pressed do
				(
					$.name = "Lever_Trimtab_Rudder"
					)
	--115..
				on Lever_Trimtab_Rudder_Key pressed do
                (
 					$.name = "Lever_Trimtab_Rudder_Key"
			    	)				
	--116..
				on Switch_Smoke pressed do
                (
 					$.name = "Switch_Smoke"
			    	)					
	--117..       
				on Lever_Speed_Brake pressed do
				(
					$.name = "Lever_Speed_Brake"
			)
	--118..       
				on Switch_Standby_Vacuum pressed do
				(
					$.name = "Switch_Standby_Vacuum"
					)
	--119..
				on Switch_Starter pressed do
                (
 					$.name = "Switch_Starter#"
			    	)				
	--120..
				on Rocker_Starter pressed do
                (
 					$.name = "Rocker_Starter"
			    	)					
	--121..       
				on Switch_Strobe_Light pressed do
				(
					$.name = "Switch_Strobe_Light"
			)
	--122..      
				on Lever_Tailwheel_Lock pressed do
				(
					$.name = "Lever_Tailwheel_Lock"
					)
	--123..
				on Switch_Taxi_Light pressed do
                (
 					$.name = "Switch_Taxi_Light"
			    	)				
	--124.
				on Lever_Throttle pressed do
                (
 					$.name = "Lever_Throttle#"
			    	)					
	--125..       
				on Lever_Throttle_Wright pressed do
				(
					$.name = "Lever_Throttle_Wright"
			)
	--126..       
				on Lever_Vicker_Throttle pressed do
				(
					$.name = "Lever_Vicker_Throttle"
					)
	--127..
				on Lever_Vicker_Throttle_Differential pressed do
                (
 					$.name = "Lever_Vicker_Throttle_Differential"
			    	)				
	--128..
				on Lever_Vicker_Throttle_Diff_Left pressed do
                (
 					$.name = "Lever_Vicker_Throttle_Diff_Left"
			    	)					
	--129..       
				on Lever_Vicker_Throttle_Diff_Right pressed do
				(
					$.name = "Lever_Vicker_Throttle_Diff_Right"
			)
	--130..      
				on Lever_Water_Rudder pressed do
				(
					$.name = "Lever_Water_Rudder"
					)
	--131..
				on Lever_Wobble_Pump pressed do
                (
 					$.name = "Lever_Wobble_Pump"
			    	)				
	--132..
				on Lever_Stick_Fore_Aft pressed do
                (
 					$.name = "Lever_Stick_Fore_Aft"
			    	)					
	--133..       
				on Lever_Stick_L_R pressed do
				(
					$.name = "Lever_Stick_L_R"
			)				
	)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout
----------------------------------------------------------------------------------



-------------------------------------------------------------------------------
--This Rollout is to be used for "Time-Based Keyframe Animation (Aircraft and Scenery)"
(
	rollout The_Buttons "Time-Based Keyframe Animation (Aircraft and Scenery)"
	(
	label lab1"If a part name has the prefix from the following table and the part has a keyframe "align:#left
	label lab2"animation, then that animation will be tied to a Flight Simulator variable. The total"align:#left
	label lab3"number of keyframes must not exceed 1024, which means that the maximum"align:#left
	label lab4"animation cycle is approximately 56 seconds."align:#left
	label lab5""
	
	--1..
		button Tick18 "Tick18" width:110 across:1
Tooltip:"Clock running at 18 Hz."
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
	--1..
				on Tick18 pressed do
                (
 					$.name = "Tick18"
			    	)
		)--end The_Buttons rollout	
	addrollout The_Buttons TB rolledup:true	
)--end TB rollout